<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\HomeModel;

class Home extends BaseController
{
    public $home;
    protected $table = 'orders';
    public $db;

    public function __construct()
    {
        $this->home = new HomeModel();
        $this->db = \Config\Database::connect();
    }

    public function index()
    {
        $data['breadcrumb'] = 'Dashboard';
        $data['confirmed_orders'] = $this->home->countOrderSales();
        $data['pending_orders'] = $this->home->countPendingOrders();
        $data['cancelled_orders'] = $this->home->countCancelledOrders();
        $data['total_products'] = $this->home->countTotalProducts();
        $data['total_services'] = $this->home->countTotalServices();
        $data['approved_sellers'] = $this->home->countApprovedSellers();
        $data['banned_sellers'] = $this->home->countBannedSellers();
        $data['customers'] = $this->home->countCustomers();
        $data['requests'] = $this->home->countRequests();
        $p_revenue = $this->home->revenue();
        $s_revenue = $this->home->service_revenue();
        $data['revenue'] = $p_revenue->order_total + $s_revenue->s_order_total;
        $p_p_revenue = $this->home->pendingRevenue();
        $p_s_revenue = $this->home->pendingServiceRevenue();
        $data['pending_revenue'] = $p_p_revenue->order_total + $p_s_revenue->s_order_total;
        $c_p_revenue = $this->home->cancelledRevenue();
        $c_s_revenue = $this->home->cancelledServiceRevenue();
        $data['cancelled_revenue'] = $c_p_revenue->order_total + $c_s_revenue->s_order_total;
        $data['products'] = $this->home->getProducts();
        $data['lastMonthRevenue'] = $this->home->lastMonthRevenue();

        // $builder = $this->db->table('users'); 
        // $query = $builder->query("SELECT COUNT(id) as count,DAY(created_at) as day_date FROM users WHERE MONTH(created_at) = '" . date('m') . "' AND YEAR(created_at) = '" . date('Y') . "' GROUP BY DAY(created_at)");

        // $query = $this->db->query("SELECT COUNT(id) as count,DAY(created_at) as day_date FROM users WHERE MONTH(created_at) = '" . date('m') . "' AND YEAR(created_at) = '" . date('Y') . "' GROUP BY DAY(created_at)");

        $query = $this->db->query("SELECT SUM(order_total) as total, MONTHNAME(order_created) as month FROM orders GROUP BY MONTH(order_created)");
        $record = $query->getResult();
        $orders = [];
        foreach ($record as $row) {
            $orders[] = array(
                'day'   => $row->month,
                'sell' => floatval($row->total)
            );
        }
        $data['orders'] = ($orders);
        
        return view('admin/home', $data);
    }
}
