<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\ProductsModel;
use App\Models\Admin\ServicesModel;

class Transactions extends BaseController
{
    public $orders;
    public $s_orders;
    public $db;
    public $session;

    public function __construct()
    {
        $this->orders = new ProductsModel();
        $this->s_orders = new ServicesModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    // Transactions
    public function transactions()
    {
        $data['breadcrumb'] = 'Transactions';
        $data['orders'] = $this->orders->getProductOrders();
        return view('admin/transactions/transactions', $data);
    }

    // Completed Transactions
    public function completed_transactions()
    {
        $data['breadcrumb'] = 'Completed Transactions';
        $data['orders'] = $this->orders->getCompletedOrders();
        return view('admin/transactions/completed_transactions', $data);
    }

    // Pending Transactions
    public function pending_transactions()
    {
        $data['breadcrumb'] = 'Pending Transactions';
        $data['orders'] = $this->orders->getPendingOrders();
        return view('admin/transactions/pending_transactions', $data);
    }

    // Cancelled Transactions
    public function cancelled_transactions()
    {
        $data['breadcrumb'] = 'Cancelled Transactions';
        $data['orders'] = $this->orders->getCancelledOrders();
        return view('admin/transactions/cancelled_transactions', $data);
    }

    // Service Orders
    public function s_transactions(){
        $data['breadcrumb'] = 'Service Transactions';
        $data['orders'] = $this->s_orders->getServicesOrders();
        return view('admin/transactions/s_transactions', $data);
    }

    // Completed Service Orders
    public function completed_s_transactions()
    {
        $data['breadcrumb'] = 'Completed Transactions';
        $data['orders'] = $this->s_orders->getCompletedOrders();
        return view('admin/transactions/completed_s_transactions', $data);
    }

    // Pending Service Orders
    public function pending_s_transactions(){
        $data['breadcrumb'] = 'Pending Transactions';
        $data['orders'] = $this->s_orders->getPendingOrders();
        return view('admin/transactions/pending_s_transactions', $data);
    }

    // Cancelled Service Orders
    public function cancelled_s_transactions(){
        $data['breadcrumb'] = 'Cancelled Transactions';
        $data['orders'] = $this->s_orders->getCancelledOrders();
        return view('admin/transactions/cancelled_s_transactions', $data);
    }
}
