<?php

namespace App\Controllers\Seller;

use App\Controllers\BaseController;
use App\Models\Vendor\ProductOrdersModel;
use App\Models\Vendor\ServiceOrdersModel;
use App\Models\Vendor\ProductsModel;
use App\Models\Vendor\ServicesModel;

class Home extends BaseController
{
    public $orders;
    public $service_orders;
    public $products;
    public $services;
    public $db;

    public function __construct()
    {
        $this->orders = new ProductOrdersModel();
        $this->service_orders = new ServiceOrdersModel();
        $this->products = new ProductsModel();
        $this->services = new ServicesModel();
        $this->db = \Config\Database::connect();
    }

    public function index()
    {
        $user_id = user()->id;
        $data['breadcrumb'] = 'Home';
        $data['orders'] = $this->orders->getRecentOrders($user_id);
        $data['products'] = $this->products->getRecentProducts($user_id);
        $data['services'] = $this->services->getRecentServices($user_id);
        $data['s_orders'] = $this->service_orders->getRecentOrders($user_id);
        $data['c_orders'] = $this->orders->countCompletedOrders($user_id) + $this->service_orders->countCompletedServiceOrders($user_id);
        $data['p_orders'] = $this->orders->countPendingOrders($user_id) + $this->service_orders->countPendingServiceOrders($user_id);
        $data['cancelled_orders'] = $this->orders->countCancelledOrders($user_id) + $this->service_orders->countCancelledServiceOrders($user_id);
        // Sum product orders
        $result = $this->orders->where(['vendor_id'=>$user_id, 'order_status'=>1, 'payment_status'=>1])->select('sum(order_total) as sumTotal')->first();
        $data['sum_orders'] = $result['sumTotal'];
        // Sum service orders
        $result2 = $this->service_orders->where(['s_vendor_id'=>$user_id, 's_order_status'=>1, 's_payment_status'=>1])->select('sum(s_order_total) as sumTotal')->first();
        $data['sum_s_orders'] = $result2['sumTotal'];
        
        return view('vendors/home', $data);
    }
}
