<?php

namespace App\Controllers\Seller;

use App\Controllers\BaseController;
use App\Models\Admin\DistrictsModel;
use App\Models\Admin\MarketsModel;
use App\Models\Vendor\UserSettingsModel;

class Settings extends BaseController
{
    public $districts;
    public $markets;
    public $settings;
    public $db;

    public function __construct()
    {
        $this->districts = new DistrictsModel();
        $this->markets = new MarketsModel();
        $this->settings = new UserSettingsModel();
        $this->session = session();
        $this->db = \Config\Database::connect();
    }

    public function settings($id)
    {
        $user_id = user()->id;
        $data['breadcrumb'] = 'Settings';
        $query = $this->db->query("SELECT * FROM users WHERE id='$user_id'")->getRow();
        $data['user'] = $this->settings->getUser($user_id);
        $data['districts'] = $this->districts->getDistricts();
        $data['markets'] = $this->markets->getMarkets();
        if ($this->request->getMethod() == 'post') {
            $rules = [
                'phone' => 'required|min_length[10]',
                'district' => 'required',
                'market' => 'required',
                'dob' => 'required',
                'address' => 'required',
            ];

            if (!empty($this->request->getVar('email'))) {
                $rules = [
                    'email' => 'valid_email',
                ];
            }

            if (!empty($_FILES['image']['name'])) {
                $rules = [
                    'image' => 'uploaded[image]|max_size[image,2054]',
                ];
            }

            $messages = [
                'dob' => [
                    'required' => 'Your date of birth is required'
                ],
            ];

            if (!$this->validate($rules, $messages)) {
                $data['validation'] = $this->validator;
            } else {

                if (!empty($_FILES['image']['name'])) {
                    // Unlink old image
                    // $findFile = $this->settings->getUser($user_id);
                    $old_img = $query->profile_image;
                    $imagePath = 'public/uploads/users/profiles/' . $old_img;

                    if (file_exists($old_img)) {
                        unlink('public/uploads/users/profiles/' . $old_img);
                    }

                    $image = $this->request->getFile('image');
                    $new_image = $image->getRandomName();
                }

                $data = [
                    'phone' => $this->request->getVar('phone'),
                    'address' => $this->request->getVar('address'),
                    'district' => $this->request->getVar('district'),
                    'market' => $this->request->getVar('market'),
                    'dob' => $this->request->getVar('dob'),
                    'email' => $this->request->getVar('email'),
                    'profile_image' => (!empty($_FILES['image']['name']) ? $new_image : $this->request->getVar('old_image')),
                ];

                $result = $this->settings->update($id, $data);

                if ($result) {

                    if (!empty($_FILES['image']['name'])) {
                        $image->move('public/uploads/users/profiles', $new_image);
                    }
                    $this->session->setTempdata('success', 'Settings updated successfully', 3);
                    return redirect()->to(current_url());
                } else {
                    $this->session->setTempdata('error', 'Sorry! Settings could not be updated, try again', 3);
                    return redirect()->to(current_url());
                }
            }
        }
        return view('vendors/settings/profile_settings', $data);
    }
}
