<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class FarmGroups extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'group_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'group_name' => [
                'type' => 'VARCHAR',
                'constraint' => '50',
            ],
            'group_slug' => [
                'type' => 'VARCHAR',
                'constraint' => '100',
            ],
            'group_logo' => [
                'type' => 'VARCHAR',
                'constraint' => '60',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('group_id', true);
        $this->forge->addUniqueKey('group_name');
        $this->forge->createTable('farm_groups');
    }

    public function down()
    {
        $this->forge->dropTable('farm_groups');
    }
}
