<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Attributes extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'attribute_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'attribute_name' => [
                'type' => 'VARCHAR',
                'constraint' => '100',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('attribute_id', true);
        $this->forge->addUniqueKey('attribute_name');
        $this->forge->createTable('attributes');
    }

    public function down()
    {
        $this->forge->dropTable('attributes');
    }
}
