<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Products extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'product_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'product_ref' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_category' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_vendor' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_name' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'product_slug' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'product_keywords' => [
                'type' => 'VARCHAR',
                'constraint' => '255',
            ],
            'product_meta_desc' => [
                'type' => 'VARCHAR',
                'constraint' => '255',
            ],
            'product_desc' => [
                'type' => 'TEXT',
            ],
            'product_image' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_attribute' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_unit' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'unit_value' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'sku' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'product_price' => [
                'type' => 'FLOAT',
                'constraint' => '20',
            ],
            'product_discount' => [
                'type' => 'FLOAT',
                'constraint' => '10',
            ],
            'product_status' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('product_id', true);
        $this->forge->addUniqueKey('product_name');
        $this->forge->createTable('products');
    }

    public function down()
    {
        $this->forge->dropTable('products');
    }
}
