<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class ProductReviews extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'review_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'reviewer_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'r_product_vendor' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'reviewed_product' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'review_title' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'review_desc' => [
                'type' => 'TEXT',
            ],
            'review_rating' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('review_id', true);
        $this->forge->createTable('product_reviews');
    }

    public function down()
    {
        $this->forge->dropTable('product_reviews');
    }
}
