<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class ProductRequests extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'request_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'request_ref' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'user_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'vendor_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'request_title' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'request_type' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'request_desc' => [
                'type' => 'TEXT',
            ],
            'request_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'r_created_at' => [
                'type' => 'DATETIME',
            ],
            'r_updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('request_id', true);
        $this->forge->createTable('product_requests');
    }

    public function down()
    {
        $this->forge->dropTable('product_requests');
    }
}
