<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class ServiceUnits extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'service_unit_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'service_unit_name' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('service_unit_id', true);
        $this->forge->addUniqueKey('service_unit_name');
        $this->forge->createTable('service_units');
    }

    public function down()
    {
        $this->forge->dropTable('service_units');
    }
}
