<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class ServiceOrders extends Migration
{
    public function up()
    {
        $this->forge->addField([
            's_order_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            's_order_invoice' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            's_user_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            's_vendor_id'  => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            's_service_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            's_service_unit' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            's_order_qty' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            's_service_unit_price'=> [
                'type' => 'FLOAT',
            ],
            's_order_total' => [
                'type' => 'FLOAT',
                'constraint' => '50',
            ],
            's_order_discount' => [
                'type' => 'FLOAT',
                'constraint' => '50',
            ],
            's_payment_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            's_order_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            's_order_created' => [
                'type' => 'DATETIME',
            ],
            's_order_updated' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('s_order_id', true);
        $this->forge->createTable('service_orders');
    }

    public function down()
    {
        $this->forge->dropTable('service_orders');
    }
}
