<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class AttributesModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'attributes';
    protected $primaryKey       = 'attribute_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['attribute_name'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Fetch Attributes
    public function getAttributes()
    {
        $builder = $this->db->table('attributes');
        $builder->orderBy('attribute_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Attribute ID
    public function getAttributeID($id)
    {
        $builder = $this->db->table('attributes');
        $builder->where(['attribute_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
