<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class ComplaintsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'abuse_reports';
    protected $primaryKey       = 'report_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    public function getComplaints()
    {
        $builder = $this->db->table('abuse_reports');
        $builder->join('users', 'users.id=abuse_reports.user_id');
        $builder->orderBy('report_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Complaint Details
    public function getComplaintDetails($id)
    {
        $builder = $this->db->table('abuse_reports');
        $builder->join('users', 'users.id=abuse_reports.user_id');
        $builder->where(['report_ref' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
