<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class CustomersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'users';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['firstname', 'lastname', 'dob', 'billing_names', 'phone', 'billing_phone', 'email', 'address', 'billing_address', 'district', 'billing_district', 'billing_city', 'profile_image', 'password_hash'];

    // Get customers
    public function getCustomers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 3]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Customer Profile
    public function getCustomerProfile($id)
    {
        $builder = $this->db->table('users');
        $builder->join('districts', 'districts.district_id=users.district');
        $builder->where(['category' => 3, 'id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
