<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class DistrictsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'districts';
    protected $primaryKey       = 'district_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['district_name', 'district_slug'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    public function getDistricts()
    {
        $builder = $this->db->table('districts');
        $builder->orderBy('district_name', 'ASC');
        $result = $builder->get()->getResult();
        return $result;
    }
}
