<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class FarmersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'users';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['firstname', 'lastname', 'slug', 'dob', 'billing_names', 'phone', 'billing_phone', 'email', 'category', 'address', 'billing_address', 'district', 'billing_district', 'billing_city', 'market', 'username', 'store_name', 'store_tagline', 'store_description', 'profile_image', 'status', 'verification', 'password_hash'];

    // Get Farmers
    public function getFarmers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 2]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Comfirmed farmers
    public function getConfirmedFarmers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 2, 'verification' => 1]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Pending farmers
    public function getPendingFarmers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 2, 'verification' => 2]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Declined farmers
    public function getDeclinedFarmers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 2, 'verification' => 3]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Banned farmers
    public function getBannedFarmers()
    {
        $builder = $this->db->table('users');
        $builder->where(['category' => 2, 'verification' => 0]);
        $builder->orderBy('id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Seller Profile
    public function getSellerProfile($id)
    {
        $builder = $this->db->table('users');
        $builder->join('districts', 'districts.district_id=users.district');
        $builder->join('markets', 'markets.market_id=users.market');
        $builder->where(['category' => 2, 'id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
