<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class MarketsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'markets';
    protected $primaryKey       = 'market_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['market_name', 'market_slug', 'market_district'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    public function getMarkets()
    {
        $builder = $this->db->table('markets');
        $builder->join('districts', 'districts.district_id=markets.market_district');
        $builder->orderBy('market_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Fetch popular markets
    public function getPopularMarkets()
    {
        $builder = $this->db->table('markets');
        $builder->join('districts', 'districts.district_id=markets.market_district');
        $builder->orderBy('market_id', 'RANDOM');
        $result = $builder->get(18)->getResult();
        return $result;
    }

    // Get market by Id
    public function getMarketId($id)
    {
        $builder = $this->db->table('markets');
        $builder->join('districts', 'districts.district_id=markets.market_district');
        $builder->where('market_id', $id);
        $result = $builder->get()->getRow();
        return $result;
    }
}
