<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class ServiceTypesModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'service_types';
    protected $primaryKey       = 'service_type_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['service_type_name', 'service_type_slug', 'service_type_thumb'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Fetch Types
    public function getServiceTypes()
    {
        $builder = $this->db->table('service_types');
        $builder->orderBy('service_type_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Type ID
    public function getServiceTypeID($id)
    {
        $builder = $this->db->table('service_types');
        $builder->where(['service_type_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
