<?php

namespace App\Models\Api\Web;

use CodeIgniter\Model;

class CustomersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'users';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Requests
    public function getRequests($id)
    {
        $builder = $this->db->table('product_requests');
        $builder->select('product_requests.*, users.store_name as seller');
        $builder->join('users', 'users.id=product_requests.vendor_id');
        $builder->where(['user_id' => $id]);
        $builder->orderBy('request_id', 'DESC');
        return $builder->get()->getResult();
    }
}
