<?php

namespace App\Models\Vendor;

use CodeIgniter\Model;

class ProductRatingModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'product_reviews';
    protected $primaryKey       = 'review_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['reviewer_id', 'r_product_vendor', 'reviewed_product', 'review_title', 'review_desc', 'review_rating'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Product Reviews
    public function getProductReviews($user_id)
    {
        $builder = $this->db->table('product_reviews');
        $builder->join('users', 'users.id=product_reviews.reviewer_id');
        $builder->join('products', 'products.product_id=product_reviews.reviewed_product');
        $builder->where(['r_product_vendor' => $user_id]);
        $builder->orderBy('review_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Review results
    public function getReviewSearch($id, $user_id){
        $builder = $this->db->table('product_reviews');
        $builder->join('users', 'users.id=product_reviews.reviewer_id');
        $builder->join('products', 'products.product_id=product_reviews.reviewed_product');
        $builder->where(['reviewed_product' => $id, 'r_product_vendor' => $user_id]);
        $builder->orderBy('review_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }
}
