<?php

namespace App\Models\Vendor;

use CodeIgniter\Model;

class ProductRequestsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'product_requests';
    protected $primaryKey       = 'request_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['request_ref', 'user_id', 'vendor_id', 'request_title', 'request_type', 'request_desc', 'request_status', 'read_status'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'r_created_at';
    protected $updatedField  = 'r_updated_at';

    // Get Requests
    public function getRequests($user_id)
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.user_id');
        $builder->where(['vendor_id' => $user_id]);
        $builder->orderBy('request_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get request details
    public function getRequestDetails($id)
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.user_id');
        $builder->where(['request_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
