<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class DistrictsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'districts';
    protected $primaryKey       = 'district_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Fetch all districts
    public function getAllDistricts()
    {
        $builder = $this->db->table('districts');
        $builder->orderBy('district_name', 'ASC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get popular districts
    public function getPopularDistricts()
    {
        $builder = $this->db->table('districts');
        $builder->orderBy('district_id', 'RANDOM');
        $result = $builder->get(20)->getResult();
        return $result;
    }

    // Get market by Id
    public function getDistrictId($slug)
    {
        $builder = $this->db->table('districts');
        $builder->where('district_slug', $slug);
        $result = $builder->get()->getRow();
        return $result;
    }
}
