<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class ProductOrdersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'orders';
    protected $primaryKey       = 'order_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['order_invoice', 'user_id', 'vendor_id', 'prod_id', 'prod_category', 'prod_market', 'prod_district', 'pro_order_unit', 'order_qty', 'order_total', 'order_discount', 'payment_status', 'order_status', 'read_status'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'order_created';
    protected $updatedField  = 'order_updated';

    // Get product market
    public function getProductData($id)
    {
        $builder = $this->db->table('products');
        $builder->where('product_id', $id);
        $result = $builder->get(24)->getRow();
        return $result;
    }
}
