<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class UserRequestsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'product_requests';
    protected $primaryKey       = 'request_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['request_ref', 'user_id', 'vendor_id', 'request_title', 'request_type', 'request_desc', 'request_status', 'read_status'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'r_created_at';
    protected $updatedField  = 'r_updated_at';

    public function getRequests($user_id)
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.vendor_id');
        $builder->where(['user_id' => $user_id]);
        $builder->orderBy('request_id', 'DESC');
        return $builder->get()->getResult();
    }

    // Request Details
    public function getRequestDetails($id)
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.vendor_id');
        $builder->where(['request_id' => $id]);
        return $builder->get()->getRow();
    }
}
