<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Seller Profile
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card social">
                    <div class="profile-header d-flex justify-content-between justify-content-center">
                        <div class="d-flex">
                            <div class="mr-3">
                                <?php if (!empty($customer->profile_image)) : ?>
                                    <img src="<?= base_url('public/uploads/users/profiles/' . esc($customer->profile_image)) ?>" class="rounded" alt="Profile">
                                <?php else : ?>
                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" class="rounded" alt="Profile">
                                <?php endif; ?>
                            </div>
                            <div class="details">
                                <h5 class="mb-0"><?= esc($customer->firstname) . " " . esc($customer->lastname) ?></h5>
                                <span class="text-light"><b>Category:</b> <?php if ($customer->category == 3) : ?>Customer<?php endif; ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 col-lg-12 col-md-12">
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>

                    <?php if (session()->getTempdata('error')) : ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                        </div>
                    <?php endif; ?>
                    <form id="basic-form" method="post" action="<?= site_url('admin/customer-profile/' . $customer->id) ?>" enctype="multipart/form-data" novalidate>
                        <?= csrf_field() ?>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="header">
                                    <h2>Basic Information</h2>
                                    <ul class="header-dropdown dropdown">
                                        <li><a href="javascript:void(0);" class="full-screen"><i class="icon-frame"></i></a></li>
                                    </ul>
                                </div>
                                <div class="body">
                                    <div class="row clearfix">
                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>First Name</label>
                                                <input type="text" name="firstname" class="form-control" value="<?= $customer->firstname ?>" required>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>Last Name</label>
                                                <input type="text" name="lastname" class="form-control" value="<?= $customer->lastname ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>Email</label>
                                                <input type="email" name="email" class="form-control" value="<?= esc($customer->email) ?>">
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>Mobile</label>
                                                <input type="number" class="form-control" value="<?= esc($customer->phone) ?>" name="phone" required>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>District</label>
                                                <select class="form-control" name="district" required>
                                                    <option value="<?= $customer->district ?>"><?= $customer->district_name ?></option>
                                                    <?php foreach ($districts as $district) : ?>
                                                        <option value="<?= esc($district->district_id) ?>"><?= esc($district->district_name) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>Date of Birth</label>
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i class="icon-calendar"></i></span>
                                                    </div>
                                                    <input type="date" class="form-control" placeholder="Birthdate" name="dob" value="<?= esc($customer->dob) ?>">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-6">
                                            <div class="form-group">
                                                <label>Address</label>
                                                <textarea rows="3" class="form-control" placeholder="Address" name="address"><?= esc($customer->address) ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-12">
                                            <div class="form-group">
                                                <label>Profile Image</label>
                                                <input type="file" name="image" class="form-control-file">
                                                <small class="text-success">Profile Image (Optional)</small>
                                                <input type="text" name="old_image" value="<?= esc($customer->profile_image) ?>" class="form-control" hidden>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="header">
                                    <h2>Delivery Information</h2>
                                    <ul class="header-dropdown dropdown">
                                        <li><a href="javascript:void(0);" class="full-screen"><i class="icon-frame"></i></a></li>
                                    </ul>
                                </div>
                                <div class="body">
                                    <div class="row clearfix">
                                        <div class="col-lg-12 col-md-12">
                                            <div class="form-group">
                                                <label>Delivery Names</label>
                                                <input type="text" name="billing_names" class="form-control" value="<?= $customer->billing_names ?>">
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12">
                                            <div class="form-group">
                                                <label>Delivery Phones</label>
                                                <input type="text" name="billing_phone" class="form-control" value="<?= $customer->billing_phone ?>">
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12">
                                            <div class="form-group">
                                                <label>Delivery Address</label>
                                                <textarea rows="3" class="form-control" placeholder="Address" name="billing_address"><?= $customer->billing_address ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12">
                                            <div class="form-group">
                                                <label>Delivery District</label>
                                                <select class="form-control" name="billing_district">
                                                    <option value="<?= $customer->billing_district ?>"><?= $customer->district_name ?></option>
                                                    <?php foreach ($districts as $district) : ?>
                                                        <option value="<?= esc($district->district_id) ?>"><?= esc($district->district_name) ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-md-12">
                                            <div class="form-group">
                                                <label>Delivery City</label>
                                                <input type="text" name="billing_city" class="form-control" value="<?= $customer->billing_city ?>">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-12">
                                <hr>
                                <button type="submit" class="btn btn-round btn-primary">Update</button> &nbsp;&nbsp;
                                <a href="<?= site_url('admin/dashboard') ?>" class="btn btn-round btn-default">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="card">
                    <div class="header">
                        <h2>Account Data</h2>
                    </div>
                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('admin/customer-password/' . $customer->id) ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12">
                                    <hr>
                                    <h6>Change Password</h6>
                                    <div class="form-group">
                                        <input type="password" name="password" class="form-control" placeholder="New Password">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" name="confirm_password" class="form-control" placeholder="Confirm New Password">
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-round btn-primary">Update</button> &nbsp;&nbsp;
                            <a href="<?= site_url('admin/dashboard') ?>" class="btn btn-round btn-default">Cancel</a>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection(); ?>