<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Farmer Groups
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/add-farm-group') ?>" class="btn btn-sm btn-success"><i class="fa fa-plus" aria-hidden="true"></i> Add Group</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Group Logo</th>
                                        <th>Group Name</th>
                                        <th>Slug</th>
                                        <th>Farmer Count</th>
                                        <th>Status</th>
                                        <th>Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($groups as $group) : ?>
                                        <?php
                                        $db = \Config\Database::connect();
                                        $farmers = $db->table('forum_joined_groups')->where(['join_group_id' => esc($group->group_id)])->countAllResults();
                                        ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= esc($no); ?></td>
                                            <td>
                                                <?php if (!empty(esc($group->group_logo))) : ?>
                                                    <img src="<?= base_url('public/uploads/farm-groups/' . esc($group->group_logo)) ?>" alt="Category" class="img-fluid">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/category.png') ?>" alt="Category" class="img-fluid">
                                                <?php endif; ?>
                                            </td>
                                            <td><?= esc($group->group_name) ?></td>
                                            <td><?= strtolower(esc($group->group_slug)) ?></td>
                                            <td><b><?= esc($farmers); ?></b></td>
                                            <td><span class="badge badge-success">Active</span></td>
                                            <td><?= date('d M, Y', strtotime(esc($group->created_at))) ?></td>
                                            <td>
                                                <a href="<?= site_url('admin/edit_farm_group/' . esc($group->group_id)) ?>" data-toggle="tooltip" data-placement="top" title="Edit" class="btn btn-sm btn-icon btn-info"><i class="icon-pencil"></i></a>
                                                <a href="<?= site_url('admin/delete_farm_group/' . esc($group->group_id)) ?>" data-toggle="tooltip" data-placement="top" title="Delete" class="btn btn-sm btn-icon btn-danger"><i class="icon-trash"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>