<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Home
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="body">
                        <div class="d-flex align-items-center">
                            <div class="icon-in-bg bg-indigo text-white rounded-circle"><i class="fa fa-briefcase"></i></div>
                            <div class="ml-4">
                                <span>Total Orders</span>
                                <h4 class="mb-0 font-weight-medium">
                                    <?php if (!empty($confirmed_orders)) : ?>
                                        <?= number_format($confirmed_orders); ?>
                                    <?php else : ?>
                                        <?= $confirmed_orders; ?>
                                    <?php endif; ?>
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="body">
                        <div class="d-flex align-items-center">
                            <div class="icon-in-bg bg-azura text-white rounded-circle"><i class="fa fa-credit-card"></i></div>
                            <div class="ml-4">
                                <span>Pending Orders</span>
                                <h4 class="mb-0 font-weight-medium">
                                    <?php if (!empty($pending_orders)) : ?>
                                        <?= number_format($pending_orders); ?>
                                    <?php else : ?>
                                        <?= $pending_orders; ?>
                                    <?php endif; ?>
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="body">
                        <div class="d-flex align-items-center">
                            <div class="icon-in-bg bg-orange text-white rounded-circle"><i class="fa fa-users"></i></div>
                            <div class="ml-4">
                                <span>Cancelled</span>
                                <h4 class="mb-0 font-weight-medium">
                                    <?php if (!empty($cancelled_orders)) : ?>
                                        <?= number_format($cancelled_orders); ?>
                                    <?php else : ?>
                                        <?= $cancelled_orders; ?>
                                    <?php endif; ?>
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="body">
                        <div class="d-flex align-items-center">
                            <div class="icon-in-bg bg-pink text-white rounded-circle"><i class="fa fa-life-ring"></i></div>
                            <div class="ml-4">
                                <span>Total Products</span>
                                <h4 class="mb-0 font-weight-medium">
                                    <?php if (!empty($total_products)) : ?>
                                        <?= number_format($total_products); ?>
                                    <?php else : ?>
                                        <?= $total_products; ?>
                                    <?php endif; ?>
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <h2>Summary</h2>
                    </div>
                    <div class="body">
                        <div class="row clearfix">
                            <div class="col-lg-3 col-md-6">
                                <div class="w_summary">
                                    <div class="s_chart">
                                        <span class="chart">8,5,2,9,6,3,4,5,6,7</span>
                                    </div>
                                    <div class="s_detail">
                                        <h2 class="font700 mb-0">
                                            <?php if (!empty($total_services)) : ?>
                                                <?= number_format($total_services); ?>
                                            <?php else : ?>
                                                <?= $total_services; ?>
                                            <?php endif; ?>
                                        </h2>
                                        <span><i class="fa fa-level-up text-success"></i> Total Services</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6">
                                <div class="w_summary">
                                    <div class="s_chart">
                                        <span class="chart">5,2,3,6,9,8,4,1,2,8</span>
                                    </div>
                                    <div class="s_detail">
                                        <h2 class="font700 mb-0">
                                            <?php if (!empty($approved_sellers)) : ?>
                                                <?= number_format($approved_sellers); ?>
                                            <?php else : ?>
                                                <?= $approved_sellers; ?>
                                            <?php endif; ?>
                                        </h2>
                                        <span><i class="fa fa-level-up text-success"></i> Approved Sellers</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6">
                                <div class="w_summary">
                                    <div class="s_chart">
                                        <span class="chart">6,3,2,5,8,9,5,4,2,3</span>
                                    </div>
                                    <div class="s_detail">
                                        <h2 class="font700 mb-0">
                                            <?php if (!empty($banned_sellers)) : ?>
                                                <?= number_format($banned_sellers); ?>
                                            <?php else : ?>
                                                <?= $banned_sellers; ?>
                                            <?php endif; ?>
                                        </h2>
                                        <span><i class="fa fa-level-up text-success"></i> Banned Sellers</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6">
                                <div class="w_summary">
                                    <div class="s_chart">
                                        <span class="chart">3,5,1,6,2,4,8,5,3,2</span>
                                    </div>
                                    <div class="s_detail">
                                        <h2 class="font700 mb-0">
                                            <?php if (!empty($customers)) : ?>
                                                <?= number_format($customers); ?>
                                            <?php else : ?>
                                                <?= $customers; ?>
                                            <?php endif; ?>
                                        </h2>
                                        <span><i class="fa fa-level-up text-success"></i> Total Customers</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales Reports</h2>
                        <ul class="header-dropdown dropdown">
                            <li><a href="javascript:void(0);" class="full-screen"><i class="icon-frame"></i></a></li>
                        </ul>
                    </div>
                    <div class="body">
                        <div id="GoogleLineChart" style="height: 400px; width: 100%"></div>
                        <!-- <div id="flotChart" class="flot-chart"></div> -->
                    </div>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-6 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales Pie Chart</h2>
                    </div>
                    <div class="body">
                    <div id="GooglePieChart" style="width:100%; height: 400px;"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-6">
                <div class="card">
                    <div class="header">
                        <h2>Community Revenue</h2>
                    </div>
                    <div class="body text-center">
                        <div class="mt-4">
                            <input type="text" class="knob" value="34" data-width="147" data-height="147" data-thickness="0.07" data-bgColor="#383b40" data-fgColor="#ffd861">
                        </div>
                        <h3 class="mb-0 mt-3 font300">
                            <?php if (!empty($revenue)) : ?>
                                <?= number_format($revenue); ?>
                            <?php else : ?>
                                0
                            <?php endif; ?>
                        </h3>
                        <small>Revenue totalled from confirmed sales <br></small>
                        <div class="mt-4">
                            <span class="chart_3">2,5,8,3,6,9,4,5,6,3</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Overview Sales</h2>
                    </div>
                    <div class="body top_counter">
                        <div class="icon bg-success text-white"><i class="fa fa-area-chart"></i> </div>
                        <div class="content">
                            <span>Pendning</span>
                            <h5 class="number mb-0">
                                <?php if (!empty($pending_revenue)) : ?>
                                    <?= number_format($pending_revenue); ?>
                                <?php else : ?>
                                    0
                                <?php endif; ?>
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="header">
                        <h2>Overview Sales</h2>
                    </div>
                    <div class="body top_counter">
                        <div class="icon bg-warning text-white"><i class="fa fa-building"></i> </div>
                        <div class="content">
                            <span>Cancelled</span>
                            <h5 class="number mb-0">
                                <?php if (!empty($cancelled_revenue)) : ?>
                                    <?= number_format($cancelled_revenue); ?>
                                <?php else : ?>
                                    0
                                <?php endif; ?>
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="body">
                        <div class="card-value float-right text-muted"><i class="icon-bubbles"></i></div>
                        <h3 class="mb-1">
                            <?php if (!empty($requests)) : ?>
                                <?= number_format($requests); ?>
                            <?php else : ?>
                                <?= $requests; ?>
                            <?php endif; ?>
                        </h3>
                        <div>Total Requests</div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-12 col-sm-12">
                <div class="card">
                    <div class="header">
                        <h2>Recent Product Summary</h2>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-custom spacing5 mb-0">
                            <thead>
                                <tr>
                                    <th>#No</th>
                                    <th>Product ID</th>
                                    <th>Seller</th>
                                    <th>Product</th>
                                    <th>Product Cost</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($products as $product) : ?>
                                    <?php $no++; ?>
                                    <tr>
                                        <td>#0<?= $no ?></td>
                                        <td><?= $product->product_ref ?></td>
                                        <td><?= $product->store_name ?></td>
                                        <td><?= substr($product->product_name, 0, 40) . "..." ?></td>
                                        <td><?= number_format($product->product_price) ?></td>
                                        <td>
                                            <?php if ($product->product_status == 1) : ?>
                                                <span class="badge badge-success">Active</span>
                                            <?php else : ?>
                                                <span class="badge badge-danger">Rejected</span>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
  
    google.charts.load('current', {
        'packages': ['corechart', 'bar']
    });
    google.charts.setOnLoadCallback(drawLineChart);
    google.charts.setOnLoadCallback(drawBarChart);

    // Pie Chart
    google.charts.setOnLoadCallback(showBarChart);

    function drawBarChart() {
        var data = google.visualization.arrayToDataTable([
            ['Day', 'Products Count'],
            <?php
            foreach ($orders as $row) {
                echo "['" . $row['day'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Sales By Month',
            is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('GooglePieChart'));
        chart.draw(data, options);
    }

    // Line Chart
    function drawLineChart() {
        var data = google.visualization.arrayToDataTable([
            ['Day', 'Sales By Month'],
            <?php
            foreach ($orders as $row) {
                echo "['" . $row['day'] . "'," . $row['sell'] . "],";
            }
            ?>
            
        ]);

        var options = {
            title: 'Line chart product Sale',
            curveType: 'function',
            legend: {
                position: 'top'
            }
        };
        var chart = new google.visualization.LineChart(document.getElementById('GoogleLineChart'));
        chart.draw(data, options);
    }
</script>
<?= $this->endSection(); ?>