<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Request Details
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="mail-inbox">
                        <div class="body check-all-parent">
                            <div class="mail-detail-full">
                                <div class="detail-header">
                                    <div class="media">
                                        <div class="float-left">
                                            <div class="m-r-20">
                                                <?php if(!empty($request->profile_image)): ?>
                                                    <img src="<?= base_url('public/uploads/users/profiles/'.$request->profile_image) ?>"
                                                    class="rounded" alt="Profile" width="50">
                                                <?php else: ?>
                                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>"
                                                    class="rounded" alt="Profile">
                                                <?php endif; ?>
                                                </div>
                                        </div>
                                        <?php
                                         $query = $db->query("SELECT store_name FROM users WHERE id='$request->vendor_id'");
                                         $result = $query->getRow();
                                        ?>
                                        <div class="media-body">
                                            <p class="mb-0"><strong class="text-muted m-r-5">From :</strong><a
                                                    class="text-default"
                                                    href="javascript:void(0);"><?= $request->firstname. " ".$request->lastname ?></a><span
                                                    class="text-muted text-sm float-right">&nbsp;&nbsp;&nbsp; <?= date('d M, Y', strtotime($request->r_created_at)) ?></span></p>
                                            <p class="mb-0"><strong class="text-muted m-r-5">To :</strong><?= $result->store_name ?> 
                                            <small class="text-muted float-right">
                                                <!-- <i class="zmdi zmdi-attachment m-r-5"></i>(2 files, 89.2
                                                    KB) -->
                                            </small>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="mail-cnt">
                                    <p>Request: <strong>
                                        <?php if($request->request_type == 1): ?>
                                            Product
                                        <?php else: ?>
                                            Service
                                        <?php endif; ?>
                                    </strong>,</p>
                                    <p>Status: <strong>
                                        <?php if (esc($request->request_status) == 1) : ?>
                                            <span class="badge badge-success">Accepted</span>
                                        <?php elseif (esc($request->request_status) == 2) : ?>
                                            <span class="badge badge-warning">Pending</span>
                                        <?php elseif (esc($request->request_status) == 0) : ?>
                                            <span class="badge badge-danger">Cancelled</span>
                                        <?php else : ?>
                                            <span class="badge badge-primary">New</span>
                                        <?php endif; ?>
                                    </strong></p>
                                    <br>
                                    <p><?= $request->request_desc ?></p>
                                    
                                    <p>Thank you,<br><strong><?= $request->firstname. " ".$request->lastname ?></strong><br><strong><?= $request->phone ?></strong></p>
                                    <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>