<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Banned Farmers
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Image</th>
                                        <th>Names</th>
                                        <th>Phone</th>
                                        <th>Store Name</th>
                                        <th>Status</th>
                                        <th>Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($farmers as $farmer) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td>
                                                <?php if (!empty($farmer->profile_image)) : ?>
                                                    <img src="<?= base_url('public/uploads/users/profiles/' . $farmer->profile_image) ?>" alt="Profile" class="img-fluid">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Category" class="img-fluid">
                                                <?php endif; ?>
                                            </td>
                                            <td><?= $farmer->firstname . " " . $farmer->lastname ?></td>
                                            <td><?= $farmer->phone ?></td>
                                            <td><?= $farmer->store_name ?></td>
                                            <td>
                                                <?php if ($farmer->verification == 1) : ?>
                                                    <span class="badge badge-success">Verified</span>
                                                <?php elseif ($farmer->verification == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Banned</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($farmer->created_at))) ?></td>
                                            <td>
                                                <a href="<?= site_url('admin/seller-profile/' . $farmer->id) ?>" data-toggle="tooltip" data-placement="top" title="Edit" class="btn btn-sm btn-icon btn-info"><i class="icon-pencil"></i></a>
                                                <!-- <a href="#" data-toggle="tooltip" data-placement="top" title="Delete" class="btn btn-sm btn-icon btn-danger"><i class="icon-trash"></i></a> -->
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>