<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Home
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/categories-report') ?>" class="btn btn-sm btn-primary"> Product Reports</a>
                    <a href="<?= site_url('admin/services/categories-report') ?>" class="btn btn-sm btn-success">Service Reports</a>
                </div>
            </div>
        </div>


        <div class="row clearfix">
            <div class="col-lg-6 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Products Count By Category</h2>
                    </div>
                    <div class="body">
                    <div id="GooglePieChart" style="width:100%; height: 400px;"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales By Category</h2>
                    </div>
                    <div class="body">
                        <div id="SalesByCategory" style="width:100%; height: 400px;"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales Line Chart</h2>
                    </div>
                    <div class="body">
                    <div id="SalesByCategoryLineChart" style="height: 300px; width: 100%"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
  
    google.charts.load('current', {
        'packages': ['corechart', 'bar']
    });
    google.charts.setOnLoadCallback(drawSalesLineChart);
    google.charts.setOnLoadCallback(drawBarChart);
    google.charts.setOnLoadCallback(drawSalesChart);

    // Pie Chart
    google.charts.setOnLoadCallback(showBarChart);

    // Products count by category
    function drawBarChart() {
        var data = google.visualization.arrayToDataTable([
            ['Category', 'Count'],
            <?php
            foreach ($products_count as $row) {
                echo "['" . $row['category'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Products By Category',
            is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('GooglePieChart'));
        chart.draw(data, options);
    }

    // Sales summation by category
    function drawSalesChart() {
        var data = google.visualization.arrayToDataTable([
            ['Sales', 'Category'],
            <?php
            foreach ($category_sales as $row) {
                echo "['" . $row['category'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Sales By Category',
            is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('SalesByCategory'));
        chart.draw(data, options);
    }

    // Line Chart
    function drawSalesLineChart() {

        var data = google.visualization.arrayToDataTable([
            ['Category', 'Sales'],
            <?php
            foreach ($category_sales as $row) {
                echo "['" . $row['category'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Sales Categorywise',
            curveType: 'function',
            legend: {
                position: 'top'
            }
        };
        var chart = new google.visualization.LineChart(document.getElementById('SalesByCategoryLineChart'));
        chart.draw(data, options);

    }
</script>
<?= $this->endSection(); ?>