<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Home
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>


        <div class="row clearfix">
            <div class="col-lg-6 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Products By Market</h2>
                    </div>
                    <div class="body">
                    <div id="GooglePieChart" style="width:100%; height: 400px;"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales By Market</h2>
                    </div>
                    <div class="body">
                    <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Market</th>
                                        <th>Products Count</th>
                                        <th>Product Sales</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($sales_table as $sales) : ?>
                                        <?php
                                            $query = $db->query("SELECT market_name FROM markets WHERE market_id='$sales->market'");
                                            $result = $query->getRow();

                                            $market_query = $db->query("SELECT COUNT(product_id) as total FROM products WHERE product_market='$sales->market'");
                                            $market_result = $market_query->getRow();
                                        ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= $result->market_name ?></td>
                                            <td><?= $market_result->total ?></td>
                                            <td><?= number_format($sales->total) ?> Ugx</td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales Line Chart</h2>
                    </div>
                    <div class="body">
                    <div id="SalesByCategoryLineChart" style="height: 300px; width: 100%"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
  
    google.charts.load('current', {
        'packages': ['corechart', 'bar']
    });
    google.charts.setOnLoadCallback(drawSalesLineChart);
    google.charts.setOnLoadCallback(drawBarChart);
    google.charts.setOnLoadCallback(drawSalesChart);

    // Pie Chart
    google.charts.setOnLoadCallback(showBarChart);

    // Products count by category
    function drawBarChart() {
        var data = google.visualization.arrayToDataTable([
            ['Market', 'Count'],
            <?php
            foreach ($products_count as $row) {
                echo "['" . $row['market'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Products By Market',
            is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('GooglePieChart'));
        chart.draw(data, options);
    }

    // Sales summation by category
    function drawSalesChart() {
        
    }

    // Line Chart
    function drawSalesLineChart() {

        var data = google.visualization.arrayToDataTable([
            ['Market', 'Sales'],
            <?php
            foreach ($market_sales as $row) {
                echo "['" . $row['market'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Sales Marketwise',
            curveType: 'function',
            legend: {
                position: 'top'
            }
        };
        var chart = new google.visualization.LineChart(document.getElementById('SalesByCategoryLineChart'));
        chart.draw(data, options);

    }
</script>
<?= $this->endSection(); ?>