<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Email Settings
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>

                    <?php if (session()->getTempdata('error')) : ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                        </div>
                    <?php endif; ?>

                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('admin/update-emailsettings/' . $settings->id) ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="row">
                                <input type="text" name="id" value="<?= $settings->id ?>" class="form-control" hidden>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Sender Email <span class="text-danger">*</span></label>
                                        <input type="email" name="email" class="form-control" value="<?= $settings->email ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Email Password <span class="text-danger">*</span></label>
                                        <input type="password" name="password" class="form-control" placeholder="......">
                                        <input type="text" name="old_pass" value="<?= $settings->password ?>" class="form-control" hidden>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Sender Name <span class="text-danger">*</span></label>
                                        <input type="text" name="names" class="form-control" value="<?= $settings->names ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <label>Mail Protocol <span class="text-danger">*</span></label>
                                    <select class="custom-select" name="protocol">
                                        <option value="<?= $settings->smtp_protocol ?>" selected><?= ucwords($settings->smtp_protocol) ?></option>
                                        <?php if ($settings->smtp_protocol == "smtp") : ?>
                                            <option value="mail">MAIL</option>
                                            <option value="sendmail">SEND MAIL</option>
                                        <?php elseif ($settings->smtp_protocol == "mail") : ?>
                                            <option value="smtp">SMTP</option>
                                            <option value="sendmail">SEND MAIL</option>
                                        <?php else : ?>
                                            <option value="smtp">SMTP</option>
                                            <option value="mail">MAIL</option>
                                        <?php endif; ?>
                                    </select>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>SMTP Host <span class="text-danger">*</span></label>
                                        <input type="text" name="host" class="form-control" value="<?= $settings->smtp_host ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>SMTP Port <span class="text-danger">*</span></label>
                                        <input type="number" name="port" class="form-control" value="<?= $settings->smtp_port ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Encryption <span class="text-danger">*</span></label>
                                        <select class="custom-select" name="encryption">
                                            <option value="<?= $settings->smtp_encryption ?>" selected><?= ucwords($settings->smtp_encryption) ?></option>
                                            <?php if ($settings->smtp_encryption == "ssl") : ?>
                                                <option value="tls">TLS</option>
                                            <?php else : ?>
                                                <option value="ssl">SSL</option>
                                            <?php endif; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Mail Type <span class="text-danger">*</span></label>
                                        <select class="custom-select" name="mail_type">
                                            <option value="<?= $settings->mail_type ?>" selected><?= ucwords($settings->mail_type) ?></option>
                                            <?php if ($settings->mail_type == "html") : ?>
                                                <option value="text">TEXT</option>
                                            <?php else : ?>
                                                <option value="html">HTML</option>
                                            <?php endif; ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <button type="submit" class="btn btn-primary">Update Data</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>