<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Edit Slider
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/home_sliders') ?>" class="btn btn-sm btn-success"> Sliders</a>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>

                    <?php if (session()->getTempdata('error')) : ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                        </div>
                    <?php endif; ?>

                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('admin/edit_slider/' . esc($slider->slider_id)) ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="form-group">
                                <label>Slider Title <span class="text-danger">*</span></label>
                                <input type="text" name="title" class="form-control" value="<?= esc($slider->slider_title) ?>" required>
                            </div>
                            <div class="form-group">
                                <label>Sub Title <span class="text-success">(Auto-generated)</span></label>
                                <input type="text" class="form-control" name="subtitle" value="<?= esc($slider->slider_sub) ?>" required>
                            </div>
                            <div class="form-group">
                                <label>Slider Image <span class="text-success">(Optional)</span></label>
                                <input type="file" name="image" class="form-control-file">
                                <small class="text-success">Prefered Size (1840 x 600 px)</small>
                                <input type="text" name="old_image" value="<?= esc($slider->slider_image) ?>" class="form-control-file" hidden>
                            </div>
                            <img src="<?= base_url('public/uploads/sliders/' . esc($slider->slider_image)) ?>" alt="Slider" class="img-fluid">
                            <br><br>
                            <button type="submit" class="btn btn-primary">Update Data</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>