<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Home
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('seller/orders') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Orders</a>
                    <a href="<?= site_url('seller/add-products') ?>" class="btn btn-sm btn-success"><i class="fa fa-plus" aria-hidden="true"></i> Add
                        Product</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-3 col-md-6 col-sm-6">
                <div class="card">
                    <div class="body small_state">
                        <div class="details">
                            <span class="mb-0">Completed Orders</span>
                            <h5 class="mb-0">
                                <?php if (!empty($c_orders)) : ?>
                                    <?= esc(number_format($c_orders)) ?>
                                <?php else : ?>
                                    0
                                <?php endif; ?>
                            </h5>
                        </div>
                        <div class="state_chart">
                            <span class="chart_1">5,2,3,6,9,8,4,1,2,8</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6 col-sm-6">
                <div class="card">
                    <div class="body small_state">
                        <div class="details">
                            <span class="mb-0">Pending Orders</span>
                            <h5 class="mb-0">
                                <?php if (!empty($p_orders)) : ?>
                                    <?= esc(number_format($p_orders)) ?>
                                <?php else : ?>
                                    0
                                <?php endif; ?>
                            </h5>
                        </div>
                        <div class="state_chart">
                            <span class="chart_4">4:4, 5:1, 3:5, 8:3, 5:10, 6:10, 8:2, 5:3, 2:3</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6 col-sm-6">
                <div class="card">
                    <div class="body small_state">
                        <div class="details">
                            <span class="mb-0">
                                Cancelled Orders
                            </span>
                            <h5 class="mb-0">
                                <?php if (!empty($cancelled_orders)) : ?>
                                    <?= esc(number_format($cancelled_orders)) ?>
                                <?php else : ?>
                                    0
                                <?php endif; ?>
                            </h5>
                        </div>
                        <div class="state_chart">
                            <span class="chart_2">9,5,1,3,5,7,8,5,2,4</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-3 col-md-6 col-sm-6">
                <div class="card">
                    <div class="body">
                        <div class="d-flex align-items-center">
                            <div class="icon-in-bg bg-indigo text-white rounded-circle"><i class="fa fa-briefcase"></i>
                            </div>
                            <div class="ml-4">
                                <span>Total income</span>
                                <h4 class="mb-0 font-weight-medium">
                                    <?= esc(number_format($sum_orders + $sum_s_orders)) ?>
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="row clearfix">
            <div class="col-lg-9 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Product Performance</h2>
                    </div>
                    <div class="body">
                        <div id="chart-bar" style="height: 350px"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Overview Earnings</h2>
                    </div>
                    <div class="body top_counter">
                        <div class="icon bg-success text-white"><i class="fa fa-area-chart"></i> </div>
                        <div class="content">
                            <span>Total Revenue</span>
                            <h5 class="number mb-0">500,000</h5>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="header">
                        <h2>Overview Sales</h2>
                    </div>
                    <div class="body top_counter">
                        <div class="icon bg-warning text-white"><i class="fa fa-building"></i> </div>
                        <div class="content">
                            <span>Cancelled</span>
                            <h5 class="number mb-0">1,000,000</h5>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

        <div class="row clearfix">
            <div class="col-lg-6 col-sm-12">
                <div class="card">
                    <div class="header">
                        <h2>Recent Product(s)</h2>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-custom spacing5 mb-0">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Category</th>
                                    <th>Type</th>
                                    <th>Price(Ugx)</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($products as $product) : ?>
                                    <?php $no++; ?>
                                    <tr>
                                        <td>#<?= esc($no) ?></td>
                                        <td>
                                            <?php if (!empty(esc($product->product_image))) : ?>
                                                <img src="<?= base_url('public/uploads/products/products/' . esc($product->product_image)) ?>" alt="Product" class="img-fluid">
                                            <?php else : ?>
                                                <img src="<?= base_url('public/uploads/defaults/product.png') ?>" alt="Product" class="img-fluid">
                                            <?php endif; ?>
                                        </td>
                                        <td><?= esc(substr($product->product_name, 0, 20) . "...") ?></td>
                                        <td><?= esc($product->category_name) ?></td>
                                        <td><b class="text-success">Product</b></td>
                                        <td><?= esc(number_format($product->product_price)) ?></td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="card">
                    <div class="header">
                        <h2>Recent Service(s)</h2>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-custom spacing5 mb-0">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Category</th>
                                    <th>Type</th>
                                    <th>Price(Ugx)</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($services as $service) : ?>
                                    <?php $no++; ?>
                                    <tr>
                                        <td>#<?= esc($no) ?></td>
                                        <td>
                                            <?php if (!empty(esc($service->service_image))) : ?>
                                                <img src="<?= base_url('public/uploads/services/' . esc($service->service_image)) ?>" alt="Product" class="img-fluid">
                                            <?php else : ?>
                                                <img src="<?= base_url('public/uploads/defaults/product.png') ?>" alt="Product" class="img-fluid">
                                            <?php endif; ?>
                                        </td>
                                        <td><?= esc(substr($service->service_name, 0, 20) . "...") ?></td>
                                        <td><?= esc($service->service_type_name) ?></td>
                                        <td><b class="text-primary">Service</b></td>
                                        <td><?= esc(number_format($service->service_price)) ?></td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="col-lg-6 col-sm-12">
                <div class="card">
                    <div class="header">
                        <h2>Recent Orders</h2>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-custom spacing5 mb-0">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Order No</th>
                                    <th>Date</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($orders as $order) : ?>
                                    <?php $no++; ?>
                                    <tr>
                                        <td>#<?= esc($no); ?></td>
                                        <td><?= $order->order_invoice; ?></td>
                                        <td><?= date('d M, Y', strtotime(esc($order->order_created))) ?></td>
                                        <td>
                                            <?php if (esc($order->order_status) == 1) : ?>
                                                <span class="badge badge-success">Completed</span>
                                            <?php elseif (esc($order->order_status) == 2) : ?>
                                                <span class="badge badge-warning">Pending</span>
                                            <?php else : ?>
                                                <span class="badge badge-danger">Cancelled</span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <a href="<?= site_url('seller/product_invoice/' . esc($order->order_id)) ?>" data-toggle="tooltip" data-placement="top" title="Details" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="card">
                    <div class="header">
                        <h2>Service Orders</h2>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-custom spacing5 mb-0">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Order No</th>
                                    <th>Date</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($s_orders as $s_order) : ?>
                                    <?php $no++; ?>
                                    <tr>
                                        <td>#<?= esc($no); ?></td>
                                        <td><?= $s_order->s_order_invoice; ?></td>
                                        <td><?= date('d M, Y', strtotime(esc($s_order->s_order_created))) ?></td>
                                        <td>
                                            <?php if (esc($s_order->s_order_status) == 1) : ?>
                                                <span class="badge badge-success">Completed</span>
                                            <?php elseif (esc($s_order->s_order_status) == 2) : ?>
                                                <span class="badge badge-warning">Pending</span>
                                            <?php else : ?>
                                                <span class="badge badge-danger">Cancelled</span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <a href="<?= site_url('seller/service_invoice/' . esc($s_order->s_order_id)) ?>" data-toggle="tooltip" data-placement="top" title="Details" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection(); ?>