<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Reviews
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-12">
                <div class="card">
                    <div class="body">
                        <form method="post" action="<?= site_url('seller/review-search') ?>" enctype="multipart/form-data">
                            <?= csrf_field() ?>

                            <div class="row">
                                <div class="col-lg-9 col-md-9 col-sm-8">
                                    <div class="input-group">
                                        <select class="custom-select" name="product" required>
                                            <option value="" selected>Select Product</option>
                                            <?php foreach ($products as $product) : ?>
                                                <option value="<?= esc($product->product_id) ?>"><?= esc($product->product_name) ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-3 col-md-3 col-sm-4">
                                    <button type="submit" class="btn btn-sm btn-primary btn-block">Filter Product</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12">
                <div class="card">
                    <div class="body">
                        <div class="bs-example" data-example-id="media-alignment">
                            <?php if ($reviews) : ?>
                                <?php foreach ($reviews as $reviews) : ?>
                                    <div class="media user-ratings">
                                        <div class="media-left"><a href="javascript:void(0);">
                                                <?php if (!empty($reviews->profile_image)) : ?>
                                                    <img alt="" class="media-object rounded" src="<?= base_url('public/uploads/users/profiles/' . esc($reviews->profile_image)) ?>" width="64" height="64">
                                                <?php else : ?>
                                                    <img alt="" class="media-object rounded" src="<?= base_url('public/uploads/defaults/user.png') ?>" width="64" height="64">
                                                <?php endif; ?>
                                            </a></div>
                                        <div class="media-body">
                                            <h4 class="media-heading"><?= esc($reviews->review_title) ?></h4>
                                            <span class="text-success"><b>Product:</b> (<?= esc($reviews->product_name) ?>)</span>
                                            <div class="rating">
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                <span> &nbsp;&nbsp;(5/5)</span>
                                                <span> &nbsp;&nbsp;| &nbsp;&nbsp;</span>
                                                <span><b>By: </b><?= esc($reviews->firstname) . " " . esc($reviews->lastname) ?></span>
                                            </div>
                                            <?= esc($reviews->review_desc) ?>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                            <?php else : ?>
                                <h5 class="text-center">No Reviews found yet</h5>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>