<!DOCTYPE html>
<html lang="en">
<?php $auth = service('authentication'); ?>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Amis Uganda | <?= $this->renderSection('page_title'); ?></title>
    <!-- Bootstrap -->
    <link rel="stylesheet" href="<?= base_url('public/web/css/bootstrap.min.css') ?>">
    <!-- Fontawesome -->
    <link rel="stylesheet" href="<?= base_url('public/web/vendor/fontawesome/css/all.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/vendor/fontawesome/css/solid.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/flaticon.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/animate.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/c3.min.css') ?>" />
    <!-- Datatables -->
    <!-- <link rel="stylesheet" href="<= base_url('admin/vendor/jquery-datatable/dataTables.bootstrap4.min.css') ?>">
    <link rel="stylesheet" href="<= base_url('admin/vendor/jquery-datatable/fixedeader/dataTables.fixedcolumns.bootstrap4.min.css') ?>">
    <link rel="stylesheet" href="<= base_url('admin/vendor/jquery-datatable/fixedeader/dataTables.fixedheader.bootstrap4.min.css') ?>"> -->
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css"> -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.bootstrap4.min.css">
    <!-- Magnific Popup -->
    <link rel="stylesheet" type="text/css" href="<?= base_url('public/web/css/magnific-popup.min.css') ?>">
    <!-- Owl Carousel -->
    <link rel="stylesheet" href="<?= base_url('public/web/css/owl.carousel.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/slick.css') ?>">
    <!-- Alertify -->
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/alertifyjs@1.13.1/build/css/alertify.min.css" />
    <link rel="stylesheet" href="<?= base_url('admin/vendor/parsleyjs/css/parsley.css') ?>">
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- Main stylesheet -->
    <link rel="stylesheet" href="<?= base_url('public/web/css/style.css?v=1.0') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/featured-provider.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/responsive.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/invoice.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/web/css/forum.css') ?>">
    <script src="<?= base_url('public/web/js/jquery-3.6.0.min.js') ?>"></script>
    <script src="<?= base_url('public/web/js/loader.js') ?>"></script>

    <style>
        #loading {
            text-align: center;
            background: url("<?= base_url('public/web/images/template/loader.gif') ?>") no-repeat center;
            height: 150px;
        }
    </style>

</head>

<body>

    <!-- Header -->
    <header>
        <div class="main-menu">
            <div class="container">
                <nav class="navbar navbar-expand-lg">
                    <a class="navbar-brand" href="<?= site_url('/') ?>"><img src="<?= base_url('public/web/images/template/logo.png') ?>" alt="Amis Uganda" class="img-fluid"></a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"><i class="fa fa-bars" aria-hidden="true"></i></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNavDropdown">
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item">
                                <a class="nav-link" href="<?= site_url('price-watch') ?>">Price Watch</a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link" href="<?= site_url('products') ?>">Products</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?= site_url('services') ?>">Services</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?= site_url('buyers') ?>">Buyers</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?= site_url('sellers') ?>">Sellers</a>
                            </li>
                            <?php if ($auth->check()) : ?>
                                <li class="nav-item dropdown">
                                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-expanded="false">
                                        My Account
                                    </a>
                                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                        <?php if (in_groups('Admin')) : ?>
                                            <a class="dropdown-item" href="<?= site_url('admin/dashboard') ?>">Dashboard</a>
                                        <?php elseif (in_groups('Seller')) : ?>
                                            <a class="dropdown-item" href="<?= site_url('seller/dashboard') ?>">Dashboard</a>
                                            <a class="dropdown-item" href="<?= site_url('forum') ?>">Farmers Forum</a>
                                        <?php else : ?>
                                            <a class="dropdown-item" href="<?= site_url('user/dashboard') ?>">Dashboard</a>
                                        <?php endif; ?>
                                        <a class="dropdown-item" href="<?= site_url('logout') ?>">Logout</a>
                                    </div>
                                </li>
                            <?php else : ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?= site_url('user-register') ?>">Register</a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>
        <div class="black-divider"></div>
        <div class="yellow-divider"></div>
        <div class="red-divider"></div>
    </header>

    <?= $this->renderSection('body'); ?>

    <!-- Breadcrumb row -->
    <div class="breadcrumb-footer">
        <div class="container">
            <!-- <ul class="list-inline">
            <li><a href="javascript:void(0);">Home</a></li>
            <li>Products</li>
        </ul> -->
        </div>
    </div>
    <!-- Breadcrumb row END -->

    <!-- Footer -->
    <footer>
        <div class="footer-top">
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                        <div class="about">
                            <h5>AMISUG</h5>
                            <p>AMISUG was developed to provide members and stakeholders to connect farmers to buyers, highlights on marketing and trade information, leading to more efficient and competitive transactions in food trade between surplus and deficit regions.</p>
                            <p><b>Email:</b> info@agriculture.go.ug</p>
                            <p><b>Tel:</b> 041 4320004</p>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                        <div class="quick-links">
                            <h5>Important Links</h5>
                            <ul>
                                <li><a href="<?= site_url('/') ?>">Uganda Agricultural Information System</a></li>
                                <li><a href="https://www.agriculture.go.ug/" target="_blank">Ministry of Agriculture, Animal Industry and Fisheries</a></li>
                                <li><a href="http://www.naads.or.ug/" target="_blank">National Agricultural Advisory Services</a></li>
                                <li><a href="https://unffe.org.ug/" target="_blank">Uganda National Farmers' Federation</a></li>
                                <li><a href="<?= site_url('product-marketplace') ?>">Marketplace</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                        <div class="quick-links">
                            <h5>Contact Us</h5>
                            Ministry of Agriculture, Animal Industry and Fisheries
                            P.O Box 102, Entebbe Plot 16-18,
                            Lugard Avenue, Entebbe Uganda.
                            <h5 class="pt-2">Quick Links</h5>
                            <?php if ($auth->check()) : ?>
                                <ul>
                                    <?php if (in_groups('Admin')) : ?>
                                        <li><a href="<?= site_url('admin/dashboard') ?>">Account</a></li>
                                    <?php elseif (in_groups('Vendor')) : ?>
                                        <li><a href="<?= site_url('seller/dashboard') ?>">Account</a></li>
                                    <?php else : ?>
                                        <li><a href="<?= site_url('dashboard') ?>">Account</a></li>
                                    <?php endif; ?>
                                    <li><a href="<?= site_url('logout') ?>">Logout</a></li>
                                </ul>
                            <?php else : ?>
                                <ul>
                                    <li><a href="<?= site_url('user-register') ?>">Register</a></li>
                                    <li><a href="<?= site_url('login') ?>">Login</a></li>
                                </ul>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-bottom">
            <div class="copyright text-center">
                <span>© <script>
                        document.write(new Date().getFullYear())
                    </script> Ministry of Agriculture, Animal Industry and Fisheries | National Information System</span>
            </div>
        </div>
    </footer>
    <!-- //Footer -->

    <!-- JS files -->
    <script src="<?= base_url('public/web/js/popper.min.js') ?>"></script>
    <script src="<?= base_url('public/web/js/bootstrap.min.js') ?>"></script>
    <script src="<?= base_url('public/web/js/magnific-popup.min.js') ?>"></script> <!-- MAGNIFIC-POPUP JS -->
    <script src="<?= base_url('public/web/js/waypoints.min.js') ?>"></script><!-- WAYPOINTS JS -->
    <script src="<?= base_url('public/web/js/waypoints-sticky.min.js') ?>"></script><!-- STICKY HEADER -->
    <script src="<?= base_url('public/web/js/owl.carousel.min.js') ?>"></script><!-- OWL  SLIDER  -->
    <script src="<?= base_url('public/web/js/slick.min.js') ?>"></script>
    <script src="<?= base_url('admin/vendor/parsleyjs/js/parsley.min.js') ?>"></script>
    <script src="//cdn.jsdelivr.net/npm/alertifyjs@1.13.1/build/alertify.min.js"></script>
    <script src="<?= base_url('public/web/js/sweetalert.min.js') ?>"></script>
    <!-- <script src="<= base_url('admin/bundles/datatablescripts.bundle.js') ?>"></script>
    <script src="<= base_url('admin/js/pages/tables/jquery-datatable.js') ?>"></script> -->
    <!-- Datatables -->
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.bootstrap4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.print.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.colVis.min.js"></script>


    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!-- Charts -->
    <script src="<?= base_url('public/web/js/charts.js') ?>"></script>
    <script src="<?= base_url('public/web/js/c3.bundle.js') ?>"></script>
    <script src="<?= base_url('public/web/js/c3.js') ?>"></script>

    <script src="<?= base_url('public/web/js/materialize.min.js') ?>"></script>
    <script src="<?= base_url('public/web/js/custom.js') ?>"></script>
    <script src="<?= base_url('public/web/js/main.js') ?>"></script>

    <script>
        $(document).ready(function() {
            var table = $('#data_table1').DataTable({
                lengthChange: false,
                buttons: ['copy', 'excel', 'pdf']
            });

            var table2 = $('#data_table2').DataTable({
                lengthChange: false,
                buttons: ['copy', 'excel', 'pdf']
            });

            table.buttons().container()
                .appendTo('#data_table1_wrapper .col-md-6:eq(0)', );

            table2.buttons().container()
                .appendTo('#data_table2_wrapper .col-md-6:eq(0)', );
        });
    </script>

    <script>
        $(function() {
            // initialize after multiselect
            $('#password-form').parsley();
            $('#billing-form').parsley();
            $('#account-form').parsley();
            $('#registration-form').parsley();
            $('#request-form').parsley();
            $('#request-form2').parsley();
            $('#fraud-form').parsley();
            $('#review-form').parsley();
            $('#create-topic').parsley();
        });
    </script>
    <script>
        $(document).ready(function() {

            $("#loginAlert").click(function() {
                alert("You need to login first to place an order");
            })
            // Success Notification
            <?php if (session()->getTempdata('success')) { ?>
                swal({
                    title: "Good job!",
                    text: "<?= session()->getTempdata('success') ?>",
                    icon: "success",
                });
            <?php } ?>

            <?php if (session()->getTempdata('error')) { ?>
                swal({
                    title: "Opps! Action failed",
                    text: "<?= session()->getTempdata('error') ?>",
                    icon: "error",
                });
            <?php } ?>

            // Set Current location
            function saveLocation() {
                if (navigator.geolocation) {
                    navigator.geolocation.getCurrentPosition(showPosition);
                }
            }

            $('.slider-nav').slick({
                dots: true,
                infinite: false,
                speed: 300,
                slidesToShow: 5,
                slidesToScroll: 4,
                prevArrow: '<i class="fa fa-arrow-circle-left left-arrow"></i>',
                nextArrow: '<i class="fa fa-arrow-circle-right right-arrow"></i>',
                responsive: [{
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 3,
                            infinite: true,
                            dots: true
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1
                        }
                    }
                    // You can unslick at a given breakpoint now by adding:
                    // settings: "unslick"
                    // instead of a settings object
                ]
            });
        });
    </script>

</body>

</html>