<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Marketplace
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Marketplace</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Shop Banner -->
<div class="container">
    <div class="row">
        <div class="col-lg-12">
            <div class="shop-discount-area bg-2" style="background-image: url(<?= base_url('public/uploads/defaults/service-bg.jpg') ?>)">
                <div class="discount-content shop-discount-content">
                    <span>Marketplace Products</span>
                    <h4 class="title"><a href="#">organic farm for ganic</a></h4>
                    <a href="#" class="btn rounded-btn">shop now</a>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Marketplace Products -->
<div class="marketplace-wrapper">
    <div class="container">
        <!-- Popular Products -->
        <div class="row">
            <!-- Left Column -->
            <div class="col-lg-3">
                <div class="left-content">
                    <!-- Markets -->
                    <div class="markets">
                        <div class="card">
                            <div class="card-header">
                                <h6 class="mb-0">Shop By Districts</h6>
                            </div>
                            <div class="card-body">
                                <?php foreach ($districts as $district) : ?>
                                    <div class="form-check">
                                        <input class="form-check-input common_selector district_data" type="checkbox" value="<?= $district->district_id ?>">
                                        <label class="form-check-label">
                                            <?= $district->district_name ?>
                                        </label>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>

                    <!-- Categories -->
                    <div class="markets">
                        <div class="card">
                            <div class="card-header">
                                <h6 class="mb-0">Categories</h6>
                            </div>
                            <div class="card-body">
                                <?php foreach ($categories as $category) : ?>
                                    <div class="form-check">
                                        <input class="form-check-input common_selector category_data" type="checkbox" value="<?= $category->service_type_slug ?>">
                                        <label class="form-check-label">
                                            <?= $category->service_type_name ?>
                                        </label>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>

                    <!-- New Products -->
                    <div class="widget shop-widget">
                        <div class="shop-widget-title">
                            <h6 class="title">NEW SERVICES</h6>
                        </div>
                        <div class="sidebar-product-list">
                            <ul>
                                <?php foreach ($recent_services as $recent) : ?>
                                    <li>
                                        <div class="sidebar-product-thumb">
                                            <a href="shop-details.html"><img src="<?= base_url('public/uploads/services/' . $recent->service_image) ?>" alt=""></a>
                                        </div>
                                        <div class="sidebar-product-content">
                                            <?php
                                            $builder = $db->table('service_reviews');
                                            $builder->where(['reviewed_service' => $recent->service_id]);
                                            $countS = $builder->countAllResults();
                                            ?>
                                            <div class="rating">
                                                <?php
                                                $rating = $db->query("SELECT review_rating FROM service_reviews WHERE reviewed_service='$recent->service_id'");
                                                $rate_ = $rating->getRow();
                                                ?>
                                                <?php if ($rate_) : ?>
                                                    <?php $i = 0; ?>
                                                    <?php if ($rate_->review_rating == 5) : ?>
                                                        <?php for ($i; $i < 5; $i++) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                    <?php elseif ($rate_->review_rating == 4) : ?>
                                                        <?php for ($i; $i < 4; $i++) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php elseif ($rate_->review_rating == 3) : ?>
                                                        <?php for ($i; $i < 3; $i++) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php elseif ($rate_->review_rating == 2) : ?>
                                                        <?php for ($i; $i < 2; $i++) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php elseif ($rate_->review_rating == 1) : ?>
                                                        <?php for ($i; $i < 1; $i++) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php else : ?>
                                                        <?php for ($i; $i < 5; $i++) : ?>
                                                            <i class="fa fa-star" aria-hidden="true"></i>
                                                        <?php endfor; ?>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            </div>
                                            <h5><a href="<?= site_url('services/' . esc($recent->service_slug)) ?>"><?= substr($recent->service_name, 0, 20) . "..." ?></a></h5>
                                            <span><?= number_format($recent->service_price) ?></span>
                                        </div>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Right Column -->
            <div class="col-lg-9">
                <div class="services">
                    <div class="section-header">
                        <!-- <div class="results my-auto">
                            <p class="my-auto"><a href="#">All Services</a> (1,000 Results)</p>
                        </div> -->
                    </div>
                    <div class="row filter_data">

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Featued Vender -->
<section class="site-bg-gray aon-feature-provider-area sf-curve-pos">
    <div class="container">
        <!--Title Section Start-->
        <div class="section-head">
            <div class="row">
                <div class="col-lg-6 col-md-12">
                    <span class="aon-sub-title">Sellers</span>
                    <h5 class="sf-title">Recent Providers</h5>
                </div>
                <div class="col-lg-6 col-md-12">
                    <p>Take your pick from our the most recent product sellers that have recently joined the Market</p>
                </div>
            </div>
        </div>
        <!--Title Section End-->

        <div class="section-content">
            <div class="row">
                <div class="owl-carousel aon-featurd-provider-carousel aon-owl-arrow">

                    <?php foreach ($sellers as $seller) : ?>
                        <!-- COLUMNS 1 -->
                        <div class="item">
                            <div class="aon-ow-provider-wrap">
                                <div class="aon-ow-provider shine-hover">
                                    <div class="aon-ow-top">
                                        <div class="aon-pro-check"><span><i class="fa fa-check"></i></span>
                                        </div>
                                        <div class="aon-pro-favorite"><a href="#"><i class="fa fa-heart-o"></i></a></div>
                                        <div class="aon-ow-info">
                                            <h5 class="aon-title"><a href="<?= site_url('sellers/' . $seller->slug) ?>"> <?= $seller->store_name ?></a>
                                            </h5>
                                        </div>
                                    </div>
                                    <div class="aon-ow-mid">
                                        <div class="aon-ow-media media-bg-animate">
                                            <a href="<?= site_url('sellers/' . $seller->slug) ?>" class="shine-box">
                                                <?php if (!empty($seller->profile_image)) : ?>
                                                    <img src="<?= base_url('public/uploads/users/profiles/' . $seller->profile_image) ?>" alt="">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="">
                                                <?php endif; ?>
                                            </a>
                                        </div>
                                        <?php
                                        $rating = $db->query("SELECT * FROM product_reviews WHERE r_product_vendor='$seller->id'");
                                        $rate_ = $rating->getRow();
                                        ?>
                                        <div class="aon-ow-pro-rating">
                                            <?php if ($rate_) : ?>
                                                <?php $i = 0; ?>
                                                <?php if ($rate_->review_rating == 5) : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                <?php elseif ($rate_->review_rating == 4) : ?>
                                                    <?php for ($i; $i < 4; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 3) : ?>
                                                    <?php for ($i; $i < 3; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 2) : ?>
                                                    <?php for ($i; $i < 2; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 1) : ?>
                                                    <?php for ($i; $i < 1; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 1; $i++) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                <?php endif ?>
                                            <?php else : ?>
                                                <?php $i = 0; ?>
                                                <?php for ($i; $i < 5; $i++) : ?>
                                                    <i class="fa fa-star" aria-hidden="true"></i>
                                                <?php endfor; ?>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="aon-ow-bottom">
                                    <a href="<?= site_url('sellers/' . $seller->slug) ?>">View Store</a>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>

                </div>
            </div>
        </div>

    </div>
</section>
<!-- Featued Vender -->

<script>
    $(document).ready(function() {

        filter_data();

        function filter_data() {
            $('.filter_data').html('<div id="loading" style="" ></div>');
            var action = 'filter_services';
            var district_data = get_filter('district_data');
            var category_data = get_filter('category_data');

            $.ajax({
                url: "<?= site_url('filter_services') ?>",
                method: "POST",
                data: {
                    action: action,
                    district_data: district_data,
                    category_data: category_data
                },
                success: function(data) {
                    $('.filter_data').html(data);
                }
            });
        }

        function get_filter(class_name) {
            var filter = [];
            $('.' + class_name + ':checked').each(function() {
                filter.push($(this).val());
            });
            return filter;
        }

        $('.common_selector').click(function() {
            filter_data();
        });

    });
</script>

<?= $this->endSection() ?>