<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Services
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="search-top">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="search-form">
                    <form>
                        <div class="sf-type">
                            <div class="sf-input">
                                <input type="text" id="sf-box" placeholder="Search services by category">
                            </div>
                            <div class="sf-list" id="response">
                                <!-- <ul>
                                    <php foreach ($categories as $category) : ?>
                                        <li><a href="<= base_url('services-by-category/' . $category->service_type_slug) ?>"><= esc($category->service_type_name) ?></a></li>
                                    <php endforeach; ?>
                                </ul> -->
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Services -->
<div class="services-wrapper">
    <div class="container">
        <div class="services">
            <div class="section-header">
                <div class="results my-auto">
                    <h6 class="my-auto"><?= $count ?> Results found for <b><?= $page_title ?></b></h6>
                </div>
            </div>
            <div class="row">
                <?php foreach ($services as $service) : ?>
                    <!-- Item -->
                    <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                        <div class="card service-card">
                            <div class="card-body">
                                <div class="service-image">
                                    <img src="<?= base_url('public/uploads/services/' . $service->service_image) ?>" alt="Service" class="img-fluid">
                                </div>
                                <div class="profile-img">
                                    <?php if (!empty($service->profile_image)) : ?>
                                        <img src="<?= base_url('public/uploads/users/profiles/' . $service->profile_image) ?>" alt="Profile" class="img-fluid">
                                    <?php else : ?>
                                        <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="badges">
                                    <span class="badge verified">Verified</span>
                                    <span class="badge badge-primary price"><?= number_format($service->service_price) ?> / <?= $service->service_unit_name ?></span>
                                </div>
                                <p class="service-type"><?= $service->service_type_name ?></p>
                                <h6><a href="<?= site_url('services/' . esc($service->service_slug)) ?>"><?= $service->service_name ?></a></h6>
                                <?php
                                $builder = $db->table('service_reviews');
                                $builder->where(['reviewed_service' => $service->service_id]);
                                $countS = $builder->countAllResults();
                                ?>
                                <div class="ratings">
                                    <?php
                                    $rating = $db->query("SELECT review_rating FROM service_reviews WHERE reviewed_service='$service->service_id'");
                                    $rate_ = $rating->getRow();
                                    ?>
                                    <?php if ($rate_) : ?>
                                        <?php $i = 0; ?>
                                        <?php if ($rate_->review_rating == 5) : ?>
                                            <?php for ($i; $i < 5; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                        <?php elseif ($rate_->review_rating == 4) : ?>
                                            <?php for ($i; $i < 4; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 3) : ?>
                                            <?php for ($i; $i < 3; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 2) : ?>
                                            <?php for ($i; $i < 2; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 1) : ?>
                                            <?php for ($i; $i < 1; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php else : ?>
                                            <?php for ($i; $i < 5; $i++) : ?>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <span>(<?= $countS ?> Feedback)</span>
                                </div>
                                <p class="provider">By: <a href="<?= site_url('sellers/' . $service->slug) ?>"><?= $service->store_name ?></a></p>
                                <hr>
                                <p class="address"><?= $service->address ?></p>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>
<!-- //Services -->

<!-- Featued Vender -->
<section class="site-bg-gray aon-feature-provider-area sf-curve-pos">
    <div class="container">
        <!--Title Section Start-->
        <div class="section-head">
            <div class="row">
                <div class="col-lg-6 col-md-12">
                    <span class="aon-sub-title">Sellers</span>
                    <h5 class="sf-title">Recent Providers</h5>
                </div>
                <div class="col-lg-6 col-md-12">
                    <p>Take your pick from our the most recent product sellers that have recently joined the Market</p>
                </div>
            </div>
        </div>
        <!--Title Section End-->

        <div class="section-content">
            <div class="row">
                <div class="owl-carousel aon-featurd-provider-carousel aon-owl-arrow">

                    <?php foreach ($sellers as $seller) : ?>
                        <!-- COLUMNS 1 -->
                        <div class="item">
                            <div class="aon-ow-provider-wrap">
                                <div class="aon-ow-provider shine-hover">
                                    <div class="aon-ow-top">
                                        <div class="aon-pro-check"><span><i class="fa fa-check"></i></span>
                                        </div>
                                        <div class="aon-pro-favorite"><a href="#"><i class="fa fa-heart-o"></i></a></div>
                                        <div class="aon-ow-info">
                                            <h5 class="aon-title"><a href="<?= site_url('sellers/' . $seller->slug) ?>"> <?= $seller->store_name ?></a>
                                            </h5>

                                        </div>
                                    </div>
                                    <div class="aon-ow-mid">
                                        <div class="aon-ow-media media-bg-animate">
                                            <a href="<?= site_url('sellers/' . $seller->slug) ?>" class="shine-box">
                                                <?php if (!empty($seller->profile_image)) : ?>
                                                    <img src="<?= base_url('public/uploads/users/profiles/' . $seller->profile_image) ?>" alt="">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="">
                                                <?php endif; ?>
                                            </a>
                                        </div>
                                        <?php
                                        $rating = $db->query("SELECT * FROM product_reviews WHERE r_product_vendor='$seller->id'");
                                        $rate_ = $rating->getRow();
                                        ?>
                                        <div class="aon-ow-pro-rating">
                                            <?php if ($rate_) : ?>
                                                <?php $i = 0; ?>
                                                <?php if ($rate_->review_rating == 5) : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                <?php elseif ($rate_->review_rating == 4) : ?>
                                                    <?php for ($i; $i < 4; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 3) : ?>
                                                    <?php for ($i; $i < 3; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 2) : ?>
                                                    <?php for ($i; $i < 2; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif ($rate_->review_rating == 1) : ?>
                                                    <?php for ($i; $i < 1; $i++) : ?>
                                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                    <i class="fas fa-star"></i>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 1; $i++) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i>
                                                    <?php endfor; ?>
                                                <?php endif ?>
                                            <?php else : ?>
                                                <?php $i = 0; ?>
                                                <?php for ($i; $i < 5; $i++) : ?>
                                                    <i class="fa fa-star" aria-hidden="true"></i>
                                                <?php endfor; ?>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="aon-ow-bottom">
                                    <a href="<?= site_url('sellers/' . $seller->slug) ?>">View Store</a>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>

                </div>
            </div>
        </div>

    </div>
</section>
<!-- Featued Vender -->

<script type="text/javascript">
    $(document).ready(function() {

        $("#sf-box").keyup(function() {

            var action = 's_category_ajax';
            var type = $("#sf-box").val();

            if (type.length > 0) {
                $.ajax({
                    url: "<?= site_url('s_category_ajax') ?>",
                    method: "POST",
                    data: {
                        action: action,
                        type: type
                    },
                    success: function(data) {
                        $("#response").html(data);
                    }
                });

            }
        });

        $(document).on('click', 'li', function() {
            var types = $(this).text();
            $("#sf-box").val(types);
            $("#response").html("");
        });
    });
</script>

<?= $this->endSection() ?>