<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Dashboard
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Order History</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Customer Area -->
<div class="customer-wrapper">
    <div class="dashboard-area">
        <div class="container">
            <div class="row">
                <!-- Col -->
                <div class="col-lg-3 col-md-4">
                    <div class="left-nav">
                        <div class="card">
                            <ul class="nav-list">
                                <li><a href="<?= site_url('user/dashboard') ?>"><i class="fa fa-tachometer-alt"></i>&nbsp; Dashboard</a></li>
                                <li><a href="<?= site_url('user/requests') ?>"><i class="fa fa-comment-alt"></i>&nbsp; Requests</a></li>
                                <li><a href="#"><i class="fa fa-comments"></i>&nbsp; Chats</a></li>
                                <li><a href="<?= site_url('user/order-history') ?>"><i class="fa fa-shopping-bag"></i>&nbsp; Order History</a></li>
                                <li><a href="<?= site_url('user/addresses') ?>"><i class="fa fa-address-book"></i>&nbsp; Address</a></li>
                                <li><a href="<?= site_url('user/settings') ?>"><i class="fa fa-cog"></i>&nbsp; Settings</a></li>
                                <li><a href="<?= site_url('logout') ?>"><i class="fa fa-power-off"></i>&nbsp; Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- col -->
                <div class="col-lg-9 col-md-8">
                    <div class="right-nav">
                        <!-- Recent Orders -->
                        <div class="customer-orders">
                            <h5>Product Orders</h5>
                            <div class="table-responsive">
                                <table class="table table-hover table-custom spacing8 js-basic-example dataTable">
                                    <thead>
                                        <th>#</th>
                                        <th>Order ID</th>
                                        <th>Type</th>
                                        <th>Date</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </thead>
                                    <tbody>
                                        <?php $no = 0 ?>
                                        <?php foreach ($orders as $order) : ?>
                                            <?php $no++ ?>
                                            <tr>
                                                <td><?= esc($no) ?></td>
                                                <td><?= esc($order->order_invoice) ?></td>
                                                <td><span class="badge badge-primary">Product</span></td>
                                                <td><?= esc(date('d M, Y', strtotime($order->order_created))) ?></td>
                                                <td>
                                                    <?php if (esc($order->order_status) == 1) : ?>
                                                        <span class="badge badge-success">Completed</span>
                                                    <?php elseif (esc($order->order_status) == 2) : ?>
                                                        <span class="badge badge-warning">Pending</span>
                                                    <?php else : ?>
                                                        <span class="badge badge-danger">Cancelled</span>
                                                    <?php endif; ?>
                                                </td>
                                                <td><a href="<?= site_url('user/order_invoice/' . $order->order_invoice) ?>" class="text-info">View <i class="fa fa-arrow-right" aria-hidden="true"></i></a></td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- Recent Service Orders -->
                        <div class="customer-orders">
                            <h5>Service Orders</h5>
                            <div class="table-responsive">
                                <table class="table table-hover table-custom spacing8 js-basic-example dataTable">
                                    <thead>
                                        <th>#</th>
                                        <th>Order ID</th>
                                        <th>Type</th>
                                        <th>Date</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </thead>
                                    <tbody>
                                        <?php $no = 0 ?>
                                        <?php foreach ($services as $service) : ?>
                                            <?php $no++ ?>
                                            <tr>
                                                <td><?= esc($no) ?></td>
                                                <td><?= esc($service->s_order_invoice) ?></td>
                                                <td><span class="badge badge-primary">Service</span></td>
                                                <td><?= esc(date('d M, Y', strtotime($service->s_order_created))) ?></td>
                                                <td>
                                                    <?php if (esc($service->s_order_status) == 1) : ?>
                                                        <span class="badge badge-success">Completed</span>
                                                    <?php elseif (esc($service->s_order_status) == 2) : ?>
                                                        <span class="badge badge-warning">Pending</span>
                                                    <?php else : ?>
                                                        <span class="badge badge-danger">Cancelled</span>
                                                    <?php endif; ?>
                                                </td>
                                                <td><a href="<?= site_url('user/service_invoice/' . $service->s_order_invoice) ?>" class="text-info">View <i class="fa fa-arrow-right" aria-hidden="true"></i></a></td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Customer Area -->

<?= $this->endSection() ?>