<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Dashboard
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Order Invoice</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Customer Area -->
<div class="customer-wrapper">
    <div class="dashboard-area">
        <div class="container">
            <div class="row">
                <!-- Col -->
                <div class="col-lg-3 col-md-4">
                    <div class="left-nav">
                        <div class="card">
                            <ul class="nav-list">
                                <li><a href="<?= site_url('user/dashboard') ?>"><i class="fa fa-tachometer-alt"></i>&nbsp; Dashboard</a></li>
                                <li><a href="<?= site_url('user/requests') ?>"><i class="fa fa-comment-alt"></i>&nbsp; Requests</a></li>
                                <li><a href="#"><i class="fa fa-comments"></i>&nbsp; Chats</a></li>
                                <li><a href="<?= site_url('user/order-history') ?>"><i class="fa fa-shopping-bag"></i>&nbsp; Order History</a></li>
                                <li><a href="<?= site_url('user/addresses') ?>"><i class="fa fa-address-book"></i>&nbsp; Address</a></li>
                                <li><a href="<?= site_url('user/settings') ?>"><i class="fa fa-cog"></i>&nbsp; Settings</a></li>
                                <li><a href="<?= site_url('logout') ?>"><i class="fa fa-power-off"></i>&nbsp; Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- col -->
                <div class="col-lg-9 col-md-8">
                    <div class="right-nav">
                        <div class="customer-info">
                            <h5>Hello, <?= user()->firstname . " " . user()->lastname ?></h5>
                            <p class="db-inform">From your account dashboard. you can easily check & view your
                                <a href="#">Recent Orders</a> , manage your <a href="#">Shipping and Billing
                                    Addresses</a> and edit your <a href="#">Password</a> and <a href="#">Account
                                    Details.</a>.</p>
                        </div>
                        <!-- Invoice -->
                        <div class="cs-invoice cs-style1 bg-grey" id="printDiv">
                            <div class="cs-invoice_in" id="download_section">
                                <div class="cs-invoice_head cs-type1 cs-mb25">
                                    <div class="cs-invoice_left">
                                        <p class="cs-invoice_number cs-primary_color cs-mb5 cs-f16"><b class="cs-primary_color">Invoice
                                                No:</b> <b class="text-danger"><?= esc($orders->order_invoice) ?></b>
                                        </p>
                                        <p class="cs-invoice_date cs-primary_color cs-m0"><b class="cs-primary_color">Date:
                                            </b><?= esc(date('d M, Y h:i:sa', strtotime($orders->order_created))) ?></p>
                                        <p class="cs-invoice_date cs-primary_color cs-m0 mt-2"><b class="cs-primary_color">Order Staus:
                                            </b>
                                            <?php if (esc($orders->order_status) == 1) : ?>
                                                <span class="badge badge-success">Completed</span>
                                            <?php elseif (esc($orders->order_status) == 2) : ?>
                                                <span class="badge badge-warning">Pending</span>
                                            <?php else : ?>
                                                <span class="badge badge-danger">Cancelled</span>
                                            <?php endif; ?>
                                        </p>
                                    </div>
                                    <div class="cs-invoice_right cs-text_right my-auto">
                                        <div class="cs-logo cs-mb5 my-auto"><img src="<?= base_url('public/web/images/template/logo.png') ?>" alt="Logo" width="250"></div>
                                    </div>
                                </div>
                                <div class="cs-invoice_head cs-mb10">
                                    <div class="cs-invoice_left">
                                        <b class="cs-primary_color">Invoice To:</b>
                                        <p>
                                            <?= esc(user()->firstname) . " " . esc(user()->lastname) ?> <br>
                                            <?= esc(user()->address) ?><br>
                                        </p>
                                        <b class="cs-primary_color">Payment Status:
                                            <?php if (esc($orders->payment_status) == 1) : ?>
                                                <span class="badge badge-success">Paid</span>
                                            <?php else : ?>
                                                <span class="badge badge-warning">Pending</span>
                                            <?php endif; ?>
                                        </b>
                                    </div>
                                    <div class="cs-invoice_right cs-text_right">
                                        <b class="cs-primary_color">Pay To:</b>
                                        <p>
                                            Maize Agro Ltd <br>
                                            <?= esc(user()->address) ?>, <br>
                                            <?= esc(user()->phone) ?> <br>
                                            <?= esc(user()->email) ?>
                                        </p>
                                    </div>
                                </div>
                                <div class="cs-table cs-style1">
                                    <div class="cs-round_border">
                                        <div class="cs-table_responsive">
                                            <table>
                                                <thead>
                                                    <tr>
                                                        <th class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">
                                                            Item</th>
                                                        <th class="cs-width_4 cs-semi_bold cs-primary_color cs-focus_bg">
                                                            Description
                                                        </th>
                                                        <th class="cs-width_2 cs-semi_bold cs-primary_color cs-focus_bg">
                                                            Qty</th>
                                                        <th class="cs-width_1 cs-semi_bold cs-primary_color cs-focus_bg">
                                                            Price (ugx)
                                                        </th>
                                                        <th class="cs-width_2 cs-semi_bold cs-primary_color cs-focus_bg cs-text_right">
                                                            Total</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td class="cs-width_3"><img src="<?= base_url('public/uploads/products/products/' . esc($orders->product_image)) ?>" alt="Product" class="img-fluid img-thumbnail" width="80"></td>
                                                        <td class="cs-width_4"><?= esc($orders->product_name) ?></td>
                                                        <td class="cs-width_2">
                                                            <?= esc($orders->order_qty) . " " . esc($orders->unit_shortname) ?>
                                                        </td>
                                                        <td class="cs-width_1">
                                                            <?= esc(number_format($orders->order_total)) ?></td>
                                                        <td class="cs-width_2 cs-text_right">
                                                            <?= esc(number_format($orders->order_total)) ?></td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="cs-invoice_footer cs-border_top">
                                            <div class="cs-left_footer cs-mobile_hide">
                                                <p class="cs-mb0"><b class="cs-primary_color">Additional
                                                        Information:</b></p>
                                                <p class="cs-m0">At check in you may need to present the credit <br>or
                                                    hard cash for
                                                    payment of this ticket.</p>
                                            </div>
                                            <div class="cs-right_footer">
                                                <table>
                                                    <tbody>
                                                        <tr class="cs-border_left">
                                                            <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">
                                                                Subtoal
                                                            </td>
                                                            <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">
                                                                <?= esc(number_format($orders->order_total)) ?></td>
                                                        </tr>
                                                        <tr class="cs-border_left">
                                                            <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">
                                                                Tax</td>
                                                            <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">
                                                                0</td>
                                                        </tr>
                                                        <tr class="cs-border_left">
                                                            <td class="cs-width_3 cs-semi_bold cs-primary_color cs-focus_bg">
                                                                Discount
                                                            </td>
                                                            <td class="cs-width_3 cs-semi_bold cs-focus_bg cs-primary_color cs-text_right">
                                                                <?= esc(number_format($orders->order_discount)) ?></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="cs-invoice_footer">
                                        <div class="cs-left_footer cs-mobile_hide"></div>
                                        <div class="cs-right_footer">
                                            <table>
                                                <tbody>
                                                    <tr class="cs-border_none">
                                                        <td class="cs-width_3 cs-border_top_0 cs-bold cs-f16 cs-primary_color">
                                                            Total
                                                            Amount</td>
                                                        <td class="cs-width_3 cs-border_top_0 cs-bold cs-f16 cs-primary_color cs-text_right">
                                                            Ugx
                                                            <?= esc(number_format($orders->order_total - $orders->order_discount)) ?>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="cs-note">
                                    <div class="cs-note_left">
                                        <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512">
                                            <path d="M416 221.25V416a48 48 0 01-48 48H144a48 48 0 01-48-48V96a48 48 0 0148-48h98.75a32 32 0 0122.62 9.37l141.26 141.26a32 32 0 019.37 22.62z" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32" />
                                            <path d="M256 56v120a32 32 0 0032 32h120M176 288h160M176 368h160" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" /></svg>
                                    </div>
                                    <div class="cs-note_right">
                                        <p class="cs-mb0"><b class="text-success cs-bold">Note:</b></p>
                                        <p class="cs-m0">Please make sure to transact safely with the seller to avoid fraud.</p>
                                    </div>
                                </div><!-- .cs-note -->
                            </div>
                            <!-- <div class="cs-invoice_btns cs-hide_print">
                                <button onclick="printContent('printDiv')" class="cs-invoice_btn cs-color1">Print</button>
                                <button id="download_btn" class="cs-invoice_btn cs-color2">
                                    <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512">
                                        <title>Download</title>
                                        <path d="M336 176h40a40 40 0 0140 40v208a40 40 0 01-40 40H136a40 40 0 01-40-40V216a40 40 0 0140-40h40" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" />
                                        <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M176 272l80 80 80-80M256 48v288" />
                                    </svg>
                                    <span>Download</span>
                                </button>
                            </div> -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Customer Area -->

<?= $this->endSection() ?>