<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Dashboard
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Settings</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Customer Area -->
<div class="customer-wrapper">
    <div class="dashboard-area">
        <div class="container">
            <div class="row">
                <!-- Col -->
                <div class="col-lg-3 col-md-4">
                    <div class="left-nav">
                        <div class="card">
                            <div class="profile-image">
                                <?php if (!empty($user_data->profile_image)) : ?>
                                    <img src="<?= base_url('public/uploads/users/profiles/' . $user_data->profile_image) ?>" alt="Profile" class="img-fluid">
                                <?php else : ?>
                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="card">
                            <ul class="nav-list">
                                <li><a href="<?= site_url('user/dashboard') ?>"><i class="fa fa-tachometer-alt"></i>&nbsp; Dashboard</a></li>
                                <li><a href="<?= site_url('user/requests') ?>"><i class="fa fa-comment-alt"></i>&nbsp; Requests</a></li>
                                <li><a href="#"><i class="fa fa-comments"></i>&nbsp; Chats</a></li>
                                <li><a href="<?= site_url('user/order-history') ?>"><i class="fa fa-shopping-bag"></i>&nbsp; Order History</a></li>
                                <li><a href="<?= site_url('user/addresses') ?>"><i class="fa fa-address-book"></i>&nbsp; Address</a></li>
                                <li><a href="<?= site_url('user/settings') ?>"><i class="fa fa-cog"></i>&nbsp; Settings</a></li>
                                <li><a href="<?= site_url('logout') ?>"><i class="fa fa-power-off"></i>&nbsp; Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- col -->
                <div class="col-lg-9 col-md-8">
                    <div class="right-nav">
                        <?php if (isset($validation)) : ?>
                            <div class="alert alert-danger" role="alert">
                                <?= $validation->listErrors() ?>
                            </div>
                        <?php endif; ?>

                        <?php if (session()->getTempdata('error')) : ?>
                            <div class="alert alert-danger alert-dismissible" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                            </div>
                        <?php endif; ?>
                        <div class="customer-info">
                            <div class="info-cards">
                                <div class="card">
                                    <div class="card-header">
                                        <h6>Account Setting</h6>
                                    </div>
                                    <div class="card-body">
                                        <br>
                                        <form action="<?= site_url('user/edit_account/' . user()->id) ?>" method="post" id="account-form" enctype="multipart/form-data" novalidate>
                                            <?= csrf_field() ?>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>First Name <span class="text-danger">*</span></label>
                                                        <input type="text" name="firstname" class="form-control" value="<?= esc($user_data->firstname) ?>" readonly>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>Last Name <span class="text-danger">*</span></label>
                                                        <input type="text" name="lastname" class="form-control" value="<?= esc($user_data->lastname) ?>" readonly>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>Email <span class="text-danger">*</span></label>
                                                        <input type="text" name="email" class="form-control" value="<?= esc($user_data->email) ?>" readonly>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>Mobile <span class="text-danger">*</span></label>
                                                        <input type="number" name="acc_phone" class="form-control" value="<?= esc($user_data->phone) ?>" required>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>District <span class="text-danger">*</span></label>
                                                        <select name="acc_district" class="custom-select" required>
                                                            <option value="<?= esc($user_data->district) ?>"><?= esc($user_data->district_name) ?></option>
                                                            <?php foreach ($districts as $district) : ?>
                                                                <?php if (esc($user_data->district) != $district->district_id) : ?>
                                                                    <option value="<?= $district->district_id ?>"><?= $district->district_name ?></option>
                                                                <?php endif; ?>
                                                            <?php endforeach; ?>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label>Profile Image</label>
                                                        <input type="file" name="image" class="form-control-file">
                                                        <input type="text" name="old_image" class="form-control" value="<?= esc($user_data->profile_image) ?>" hidden>
                                                    </div>
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-block btn-warning">Save Changes</button>
                                        </form>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="card">
                                            <div class="card-header">
                                                <h6>Delivery Address</h6>
                                            </div>
                                            <div class="card-body">
                                                <br>
                                                <form action="<?= site_url('user/edit_billing_info/' . user()->id) ?>" method="post" id="billing-form" enctype="multipart/form-data" novalidate>
                                                    <?= csrf_field() ?>
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label> Names <span class="text-danger">*</span></label>
                                                                <input type="text" name="billing_names" class="form-control" value="<?= esc($user_data->billing_names) ?>" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label>Mobile <span class="text-danger">*</span></label>
                                                                <input type="number" name="billing_number" value="<?= esc($user_data->billing_phone) ?>" class="form-control" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label>City <span class="text-danger">*</span></label>
                                                                <input type="text" name="billing_city" value="<?= esc($user_data->billing_city) ?>" class="form-control" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label>Address <span class="text-danger">*</span></label>
                                                                <textarea name="billing_address" class="form-control" rows="2" required><?= $user_data->billing_address ?></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <button type="submit" class="btn btn-block btn-warning">Save Changes</button>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- Col -->
                                    <div class="col-lg-6">
                                        <div class="card">
                                            <div class="card-header">
                                                <h6>Change Password</h6>
                                            </div>
                                            <div class="card-body">
                                                <br>
                                                <form action="<?= site_url('user/edit_password/' . user()->id) ?>" method="post" id="password-form" enctype="multipart/form-data" novalidate>
                                                    <?= csrf_field() ?>
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label> Password <span class="text-danger">*</span></label>
                                                                <input type="password" name="password" class="form-control" placeholder="********" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label>Confirm Password <span class="text-danger">*</span></label>
                                                                <input type="password" name="c_password" class="form-control" placeholder="********" required>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <button type="submit" class="btn btn-block btn-warning">Save Changes</button>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Customer Area -->

<?= $this->endSection() ?>