<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
<?= $page_title ?>
<?= $this->endSection() ?>
<?php $db = \Config\Database::connect(); ?>
<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="search-top">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="search-form">
                    <form>
                        <div class="sf-type">
                            <div class="sf-input">
                                <input type="text" id="sf-box" placeholder="Search sellers by district">
                            </div>
                            <div class="sf-list" id="response">
                                <!-- <ul>
                                    <php foreach ($all_districts as $all_districts) : ?>
                                        <li><a href="<= site_url('seller-search/district/' . esc($all_districts->district_slug)) ?>"><= esc($all_districts->district_name) ?></a></li>
                                    <php endforeach; ?>
                                </ul> -->
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Marketplace Products -->
<div class="marketplace-wrapper">
    <div class="container">
        <div class="vendors-list">
            <div class="vendors" id="vendors">
                <div class="row">
                    <?php if (isset($sellers)) : ?>
                        <div class="col-12">
                            <h5 class="text-danger"><?= $count ?> Results found for <b><?= $district->district_name ?></b></h5>
                        </div>
                        <?php foreach ($sellers as $seller) : ?>
                            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                                <div class="card">
                                    <div class="vendor-image">
                                        <?php if (!empty(esc($seller->profile_image))) : ?>
                                            <img src="<?= base_url('public/web/images/vendors/vendor-1.png') ?>" alt="Vendor" class="img-fluid">
                                        <?php else : ?>
                                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Vendor" class="img-fluid">
                                        <?php endif; ?>
                                    </div>
                                    <div class="vendor-data">
                                        <span class="year">Since <?= date('M, Y', strtotime(esc($seller->created_at))) ?></span>
                                        <h5 class="company"><?= esc($seller->store_name) ?></h5>
                                        <?php
                                        $builder = $db->table('products');
                                        $builder->where(['product_vendor' => $seller->id]);
                                        $count = $builder->countAllResults();
                                        ?>
                                        <span class="badge badge-primary"><?= $count ?> Products</span>
                                        <p class="address"><b>Address: </b><?= esc($seller->address) ?></p>
                                    </div>
                                    <hr>
                                    <div class="vendor-contact">
                                        <a href="<?= site_url('sellers/' . esc($seller->slug)) ?>" class="btn btn-primary">Visit Store</a>
                                    </div>
                                    <!-- Seller Badge -->
                                    <?php if ($seller->sell_as == 2) : ?>
                                        <div class="seller_badge">
                                            Farmers Group
                                        </div>
                                    <?php endif; ?>
                                    <!-- //Seller Badge -->
                                </div>
                            </div>
                        <?php endforeach; ?>
                    <?php elseif (isset($vendors)) : ?>
                        <?php foreach ($vendors as $vendors) : ?>
                            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                                <div class="card">
                                    <div class="vendor-image">
                                        <?php if (!empty(esc($vendors->profile_image))) : ?>
                                            <img src="<?= base_url('public/web/images/vendors/vendor-1.png') ?>" alt="Vendor" class="img-fluid">
                                        <?php else : ?>
                                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Vendor" class="img-fluid">
                                        <?php endif; ?>
                                    </div>
                                    <div class="vendor-data">
                                        <span class="year">Since <?= date('M, Y', strtotime(esc($vendors->created_at))) ?></span>
                                        <h5 class="company"><?= esc($vendors->store_name) ?></h5>
                                        <?php
                                        $builder = $db->table('products');
                                        $builder->where(['product_vendor' => $vendors->id]);
                                        $count = $builder->countAllResults();
                                        ?>
                                        <span class="badge badge-primary"><?= $count ?> Products</span>
                                        <p class="address"><b>Address: </b><?= esc($vendors->address) ?></p>
                                    </div>
                                    <hr>
                                    <div class="vendor-contact">
                                        <a href="<?= site_url('sellers/' . esc($vendors->slug)) ?>" class="btn btn-primary">Visit Store</a>
                                    </div>

                                    <!-- Seller Badge -->
                                    <?php if ($vendors->sell_as == 2) : ?>
                                        <div class="seller_badge">
                                            Farmers Group
                                        </div>
                                    <?php endif; ?>
                                    <!-- //Seller Badge -->
                                </div>
                            </div>
                        <?php endforeach; ?>
                    <?php else : ?>
                        <h5 class="text-center text-danger">Oopss!!!! No Data to Display</h5>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {

        $("#sf-box").keyup(function() {

            var action = 'seller_district_ajax';
            var district = $("#sf-box").val();

            if (district.length > 0) {
                $.ajax({
                    url: "<?= site_url('seller_district_ajax') ?>",
                    method: "POST",
                    data: {
                        action: action,
                        district: district
                    },
                    success: function(data) {
                        $("#response").html(data);
                    }
                });

            }
        });

        $(document).on('click', 'li', function() {
            var districts = $(this).text();
            $("#sf-box").val(districts);
            $("#response").html("");
        });
    });
</script>

<?= $this->endSection() ?>